import{s as ot,n as at,o as nt}from"../chunks/scheduler.01eeda35.js";import{S as it,i as rt,g as i,s as a,r as H,A as lt,h as r,f as e,c as n,j as dt,u as N,x as s,k as et,y as st,a as o,v as R,d as V,t as I,w as B}from"../chunks/index.6dd51b66.js";import{H as W,E as ht}from"../chunks/EditOnGithub.7faefd25.js";function ut(O){let l,Q,T,P,h,x,u,X="Quantization lowers the memory requirements of loading and using a model by storing the weights in a lower precision while trying to preserve as much accuracy as possible. Weights are typically stored in full-precision (fp32) floating point representations, but half-precision (fp16 or bf16) are increasingly popular data types given the large size of models today. Some quantization methods can reduce the precision even further to integer representations, like int8 or int4.",_,p,D="Transformers supports many quantization methods, each with their pros and cons, so you can pick the best one for your specific use case. Some methods require calibration for greater accuracy and extreme compression (1-2 bits), while other methods work out of the box with on-the-fly quantization.",M,f,Z="Use the Space below to help you pick a quantization method depending on your hardware and number of bits to quantize to.",G,m,j='<thead><tr><th>Quantization Method</th> <th>On the fly quantization</th> <th>CPU</th> <th>CUDA GPU</th> <th>ROCm GPU</th> <th>Metal (Apple Silicon)</th> <th>Intel GPU</th> <th>Torch compile()</th> <th>Bits</th> <th>PEFT Fine Tuning</th> <th>Serializable with 🤗Transformers</th> <th>🤗Transformers Support</th> <th>Link to library</th></tr></thead> <tbody><tr><td><a href="./aqlm">AQLM</a></td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>1/2</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/Vahe1994/AQLM" rel="nofollow">https://github.com/Vahe1994/AQLM</a></td></tr> <tr><td><a href="./awq">AWQ</a></td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>?</td> <td>4</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/casper-hansen/AutoAWQ" rel="nofollow">https://github.com/casper-hansen/AutoAWQ</a></td></tr> <tr><td><a href="./bitsandbytes">bitsandbytes</a></td> <td>🟢</td> <td>🟡</td> <td>🟢</td> <td>🟡</td> <td>🔴</td> <td>🟡</td> <td>🔴</td> <td>4/8</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/bitsandbytes-foundation/bitsandbytes" rel="nofollow">https://github.com/bitsandbytes-foundation/bitsandbytes</a></td></tr> <tr><td><a href="./compressed_tensors">compressed-tensors</a></td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>1/8</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/neuralmagic/compressed-tensors" rel="nofollow">https://github.com/neuralmagic/compressed-tensors</a></td></tr> <tr><td><a href="./eetq">EETQ</a></td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>?</td> <td>8</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/NetEase-FuXi/EETQ" rel="nofollow">https://github.com/NetEase-FuXi/EETQ</a></td></tr> <tr><td><a href="../gguf">GGUF / GGML (llama.cpp)</a></td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>1/8</td> <td>🔴</td> <td><a href="../gguf">See Notes</a></td> <td><a href="../gguf">See Notes</a></td> <td><a href="https://github.com/ggerganov/llama.cpp" rel="nofollow">https://github.com/ggerganov/llama.cpp</a></td></tr> <tr><td><a href="./gptq">GPTQModel</a></td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>2/3/4/8</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/ModelCloud/GPTQModel" rel="nofollow">https://github.com/ModelCloud/GPTQModel</a></td></tr> <tr><td><a href="./gptq">AutoGPTQ</a></td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>2/3/4/8</td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/AutoGPTQ/AutoGPTQ" rel="nofollow">https://github.com/AutoGPTQ/AutoGPTQ</a></td></tr> <tr><td><a href="./higgs">HIGGS</a></td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>2/4</td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/HanGuo97/flute" rel="nofollow">https://github.com/HanGuo97/flute</a></td></tr> <tr><td><a href="./hqq">HQQ</a></td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>1/8</td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td><a href="https://github.com/mobiusml/hqq/" rel="nofollow">https://github.com/mobiusml/hqq/</a></td></tr> <tr><td><a href="./quanto">optimum-quanto</a></td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>2/4/8</td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td><a href="https://github.com/huggingface/optimum-quanto" rel="nofollow">https://github.com/huggingface/optimum-quanto</a></td></tr> <tr><td><a href="./fbgemm_fp8">FBGEMM_FP8</a></td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>8</td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/pytorch/FBGEMM" rel="nofollow">https://github.com/pytorch/FBGEMM</a></td></tr> <tr><td><a href="./torchao">torchao</a></td> <td>🟢</td> <td>🟢</td> <td>🟢</td> <td>🔴</td> <td>🟡</td> <td>🔴</td> <td></td> <td>4/8</td> <td></td> <td>🟢🔴</td> <td>🟢</td> <td><a href="https://github.com/pytorch/ao" rel="nofollow">https://github.com/pytorch/ao</a></td></tr> <tr><td><a href="./vptq">VPTQ</a></td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>🟡</td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>1/8</td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/microsoft/VPTQ" rel="nofollow">https://github.com/microsoft/VPTQ</a></td></tr> <tr><td><a href="./finegrained_fp8">FINEGRAINED_FP8</a></td> <td>🟢</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>8</td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td></td></tr> <tr><td><a href="./spqr">SpQR</a></td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>🔴</td> <td>🔴</td> <td>🔴</td> <td>🟢</td> <td>3</td> <td>🔴</td> <td>🟢</td> <td>🟢</td> <td><a href="https://github.com/Vahe1994/SpQR/" rel="nofollow">https://github.com/Vahe1994/SpQR/</a></td></tr></tbody>',C,c,z,g,J="If you are new to quantization, we recommend checking out these beginner-friendly quantization courses in collaboration with DeepLearning.AI.",A,b,K='<li><a href="https://www.deeplearning.ai/short-courses/quantization-fundamentals-with-hugging-face/" rel="nofollow">Quantization Fundamentals with Hugging Face</a></li> <li><a href="https://www.deeplearning.ai/short-courses/quantization-in-depth" rel="nofollow">Quantization in Depth</a></li>',E,w,S,y,Y="If you are looking for a user-friendly quantization experience, you can use the following community spaces and notebooks:",L,v,tt='<li><a href="https://huggingface.co/spaces/bnb-community/bnb-my-repo" rel="nofollow">Bitsandbytes Space</a></li> <li><a href="https://huggingface.co/spaces/ggml-org/gguf-my-repo" rel="nofollow">GGUF Space</a></li> <li><a href="https://huggingface.co/spaces/mlx-community/mlx-my-repo" rel="nofollow">MLX Space</a></li> <li><a href="https://colab.research.google.com/drive/1b6nqC7UZVt8bx4MksX7s656GXPM-eWw4?usp=sharing#scrollTo=ZC9Nsr9u5WhN" rel="nofollow">AuoQuant Notebook</a></li>',F,q,U,$,k;return h=new W({props:{title:"Overview",local:"overview",headingTag:"h1"}}),c=new W({props:{title:"Resources",local:"resources",headingTag:"h2"}}),w=new W({props:{title:"User-Friendly Quantization Tools",local:"user-friendly-quantization-tools",headingTag:"h2"}}),q=new ht({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/quantization/overview.md"}}),{c(){l=i("meta"),Q=a(),T=i("p"),P=a(),H(h.$$.fragment),x=a(),u=i("p"),u.textContent=X,_=a(),p=i("p"),p.textContent=D,M=a(),f=i("p"),f.textContent=Z,G=a(),m=i("table"),m.innerHTML=j,C=a(),H(c.$$.fragment),z=a(),g=i("p"),g.textContent=J,A=a(),b=i("ul"),b.innerHTML=K,E=a(),H(w.$$.fragment),S=a(),y=i("p"),y.textContent=Y,L=a(),v=i("ul"),v.innerHTML=tt,F=a(),H(q.$$.fragment),U=a(),$=i("p"),this.h()},l(t){const d=lt("svelte-u9bgzb",document.head);l=r(d,"META",{name:!0,content:!0}),d.forEach(e),Q=n(t),T=r(t,"P",{}),dt(T).forEach(e),P=n(t),N(h.$$.fragment,t),x=n(t),u=r(t,"P",{"data-svelte-h":!0}),s(u)!=="svelte-656w9r"&&(u.textContent=X),_=n(t),p=r(t,"P",{"data-svelte-h":!0}),s(p)!=="svelte-17h48vd"&&(p.textContent=D),M=n(t),f=r(t,"P",{"data-svelte-h":!0}),s(f)!=="svelte-1drhu8y"&&(f.textContent=Z),G=n(t),m=r(t,"TABLE",{"data-svelte-h":!0}),s(m)!=="svelte-1v6tkm3"&&(m.innerHTML=j),C=n(t),N(c.$$.fragment,t),z=n(t),g=r(t,"P",{"data-svelte-h":!0}),s(g)!=="svelte-yp93ig"&&(g.textContent=J),A=n(t),b=r(t,"UL",{"data-svelte-h":!0}),s(b)!=="svelte-1xrrw6l"&&(b.innerHTML=K),E=n(t),N(w.$$.fragment,t),S=n(t),y=r(t,"P",{"data-svelte-h":!0}),s(y)!=="svelte-1dwueou"&&(y.textContent=Y),L=n(t),v=r(t,"UL",{"data-svelte-h":!0}),s(v)!=="svelte-imzktw"&&(v.innerHTML=tt),F=n(t),N(q.$$.fragment,t),U=n(t),$=r(t,"P",{}),dt($).forEach(e),this.h()},h(){et(l,"name","hf:doc:metadata"),et(l,"content",pt)},m(t,d){st(document.head,l),o(t,Q,d),o(t,T,d),o(t,P,d),R(h,t,d),o(t,x,d),o(t,u,d),o(t,_,d),o(t,p,d),o(t,M,d),o(t,f,d),o(t,G,d),o(t,m,d),o(t,C,d),R(c,t,d),o(t,z,d),o(t,g,d),o(t,A,d),o(t,b,d),o(t,E,d),R(w,t,d),o(t,S,d),o(t,y,d),o(t,L,d),o(t,v,d),o(t,F,d),R(q,t,d),o(t,U,d),o(t,$,d),k=!0},p:at,i(t){k||(V(h.$$.fragment,t),V(c.$$.fragment,t),V(w.$$.fragment,t),V(q.$$.fragment,t),k=!0)},o(t){I(h.$$.fragment,t),I(c.$$.fragment,t),I(w.$$.fragment,t),I(q.$$.fragment,t),k=!1},d(t){t&&(e(Q),e(T),e(P),e(x),e(u),e(_),e(p),e(M),e(f),e(G),e(m),e(C),e(z),e(g),e(A),e(b),e(E),e(S),e(y),e(L),e(v),e(F),e(U),e($)),e(l),B(h,t),B(c,t),B(w,t),B(q,t)}}}const pt='{"title":"Overview","local":"overview","sections":[{"title":"Resources","local":"resources","sections":[],"depth":2},{"title":"User-Friendly Quantization Tools","local":"user-friendly-quantization-tools","sections":[],"depth":2}],"depth":1}';function ft(O){return nt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bt extends it{constructor(l){super(),rt(this,l,ft,ut,ot,{})}}export{bt as component};
