import{s as _o,o as bo,n as ho}from"../chunks/scheduler.01eeda35.js";import{S as ko,i as vo,g as l,s as o,r as m,A as xo,h as s,f as a,c as n,j as b,u as p,x as d,k as _,y as t,a as i,v as c,d as g,t as f,w as u,m as $o,n as Co}from"../chunks/index.6dd51b66.js";import{T as uo}from"../chunks/Tip.de9bae2b.js";import{D as v}from"../chunks/Docstring.76e6b3cf.js";import{H as I,E as yo}from"../chunks/EditOnGithub.7faefd25.js";function To(Ae){let h,W=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`,y,w,E="<li><p>Default Behavior:</p> <ul><li><code>mask_replace_prob=0.8</code>, <code>random_replace_prob=0.1</code>.</li> <li>Expect 80% of masked tokens replaced with <code>[MASK]</code>, 10% replaced with random tokens, and 10% left unchanged.</li></ul></li> <li><p>All masked tokens replaced by <code>[MASK]</code>:</p> <ul><li><code>mask_replace_prob=1.0</code>, <code>random_replace_prob=0.0</code>.</li> <li>Expect all masked tokens to be replaced with <code>[MASK]</code>. No tokens are left unchanged or replaced with random tokens.</li></ul></li> <li><p>No <code>[MASK]</code> replacement, only random tokens:</p> <ul><li><code>mask_replace_prob=0.0</code>, <code>random_replace_prob=1.0</code>.</li> <li>Expect all masked tokens to be replaced with random tokens. No <code>[MASK]</code> replacements or unchanged tokens.</li></ul></li> <li><p>Balanced replacement:</p> <ul><li><code>mask_replace_prob=0.5</code>, <code>random_replace_prob=0.4</code>.</li> <li>Expect 50% of masked tokens replaced with <code>[MASK]</code>, 40% replaced with random tokens, and 10% left unchanged.</li></ul></li>",O,T,gt=`Note:
The sum of <code>mask_replace_prob</code> and <code>random_replace_prob</code> must not exceed 1. If their sum is less than 1, the
remaining proportion will consist of masked tokens left unchanged.`;return{c(){h=l("p"),h.innerHTML=W,y=$o(`
<Example Options and Expectations>
`),w=l("ol"),w.innerHTML=E,O=o(),T=l("p"),T.innerHTML=gt},l(x){h=s(x,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1uxurri"&&(h.innerHTML=W),y=Co(x,`
<Example Options and Expectations>
`),w=s(x,"OL",{"data-svelte-h":!0}),d(w)!=="svelte-14xwpjc"&&(w.innerHTML=E),O=n(x),T=s(x,"P",{"data-svelte-h":!0}),d(T)!=="svelte-10bg7dp"&&(T.innerHTML=gt)},m(x,F){i(x,h,F),i(x,y,F),i(x,w,F),i(x,O,F),i(x,T,F)},p:ho,d(x){x&&(a(h),a(y),a(w),a(O),a(T))}}}function Do(Ae){let h,W=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=l("p"),h.innerHTML=W},l(y){h=s(y,"P",{"data-svelte-h":!0}),d(h)!=="svelte-kpcut1"&&(h.innerHTML=W)},m(y,w){i(y,h,w)},p:ho,d(y){y&&a(h)}}}function wo(Ae){let h,W,y,w,E,O,T,gt=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,x,F,Ia=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/main/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,ut,te,Wa='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',ht,ae,_t,M,oe,Xt,Ie,Ea=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Jt,We,Ha="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Qt,Ee,Va=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,bt,ne,kt,D,re,Yt,He,Na=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Zt,Ve,Oa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",ea,Ne,ja=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,ta,Oe,Ka=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,vt,le,xt,j,se,aa,je,Ba="Data collator that will dynamically pad the inputs received.",$t,ie,Ct,K,de,oa,Ke,Ua="Data collator that will dynamically pad the inputs received, as well as the labels.",yt,me,Tt,B,pe,na,Be,Ra="Data collator that will dynamically pad the inputs received, as well as the labels.",Dt,ce,wt,$,ge,ra,Ue,Ga=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,la,R,sa,G,fe,ia,Re,Xa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",da,X,ue,ma,Ge,Ja="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",pa,J,he,ca,Xe,Qa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Pt,_e,Ft,k,be,ga,Je,Ya="Data collator used for language modeling that masks entire words.",fa,Qe,Za="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",ua,Q,ha,Y,ke,_a,Ye,eo=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ba,Z,ve,ka,Ze,to=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,va,ee,xe,xa,et,ao=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Mt,$e,Lt,C,Ce,$a,tt,oo="Data collator used for permutation language modeling.",Ca,at,no="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",ya,H,ye,Ta,ot,ro="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",Da,Te,lo=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,wa,V,De,Pa,nt,so="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",Fa,we,io=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,Ma,N,Pe,La,rt,mo="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",za,Fe,po=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,zt,Me,qt,S,Le,qa,lt,co="Data collator used for padding free approach. Does the following:",Sa,st,go="<li>concatate the entire mini batch into single long sequence [1, total_tokens]</li> <li>uses <code>separator_id</code> to separate sequences within the concatenated <code>labels</code>, default value is -100</li> <li>no padding will be added, returns <code>input_ids</code>, <code>labels</code> and <code>position_ids</code></li>",St,ze,At,U,qe,Aa,it,fo=`Data collator that dynamically pads a batch of nested examples for multiple choice, so that all choices
of all examples have the same length.`,It,Se,Wt,ft,Et;return E=new I({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),ae=new I({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),oe=new v({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": typing.List[transformers.data.data_collator.InputDataClass]"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L74"}}),ne=new I({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),re=new v({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L99"}}),le=new I({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),se=new v({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L236"}}),ie=new I({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),de=new v({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L288"}}),me=new I({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),pe=new v({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": typing.Optional[typing.Any] = None"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L626"}}),ce=new I({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),ge=new v({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"mask_replace_prob",val:": float = 0.8"},{name:"random_replace_prob",val:": float = 0.1"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.mask_replace_prob",description:`<strong>mask_replace_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.8) &#x2014;
The probability with which masked tokens are replaced by the tokenizer&#x2019;s mask token (e.g., <code>[MASK]</code>).
Defaults to 0.8, meaning 80% of the masked tokens will be replaced with <code>[MASK]</code>.
Only works when <code>mlm</code> is set to <code>True</code>.`,name:"mask_replace_prob"},{anchor:"transformers.DataCollatorForLanguageModeling.random_replace_prob",description:`<strong>random_replace_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The probability with which masked tokens are replaced by random tokens from the tokenizer&#x2019;s vocabulary.
Defaults to 0.1, meaning 10% of the masked tokens will be replaced with random tokens. The remaining
masked tokens (1 - mask_replace_prob - random_replace_prob) are left unchanged.
Only works when <code>mlm</code> is set to <code>True</code>.`,name:"random_replace_prob"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set, will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L762"}}),R=new uo({props:{$$slots:{default:[To]},$$scope:{ctx:Ae}}}),fe=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1038"}}),ue=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L862"}}),he=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L968"}}),_e=new I({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),be=new v({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"mask_replace_prob",val:": float = 0.8"},{name:"random_replace_prob",val:": float = 0.1"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1086"}}),Q=new uo({props:{$$slots:{default:[Do]},$$scope:{ctx:Ae}}}),ke=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1317"}}),ve=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1275"}}),xe=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1235"}}),$e=new I({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),Ce=new v({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1449"}}),ye=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1690"}}),De=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1583"}}),Pe=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1484"}}),Me=new I({props:{title:"DataCollatorWithFlattening",local:"transformers.DataCollatorWithFlattening",headingTag:"h2"}}),Le=new v({props:{name:"class transformers.DataCollatorWithFlattening",anchor:"transformers.DataCollatorWithFlattening",parameters:[{name:"*args",val:""},{name:"return_position_ids",val:" = True"},{name:"separator_id",val:" = -100"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1788"}}),ze=new I({props:{title:"DataCollatorForMultipleChoice",local:"transformers.DataCollatorForMultipleChoice",headingTag:"h1"}}),qe=new v({props:{name:"class transformers.DataCollatorForMultipleChoice",anchor:"transformers.DataCollatorForMultipleChoice",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForMultipleChoice.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForMultipleChoice.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences according to the model&#x2019;s padding side and padding index
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single sequence
is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForMultipleChoice.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForMultipleChoice.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForMultipleChoice.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L535"}}),Se=new yo({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/data_collator.md"}}),{c(){h=l("meta"),W=o(),y=l("p"),w=o(),m(E.$$.fragment),O=o(),T=l("p"),T.innerHTML=gt,x=o(),F=l("p"),F.innerHTML=Ia,ut=o(),te=l("p"),te.innerHTML=Wa,ht=o(),m(ae.$$.fragment),_t=o(),M=l("div"),m(oe.$$.fragment),Xt=o(),Ie=l("p"),Ie.textContent=Ea,Jt=o(),We=l("ul"),We.innerHTML=Ha,Qt=o(),Ee=l("p"),Ee.textContent=Va,bt=o(),m(ne.$$.fragment),kt=o(),D=l("div"),m(re.$$.fragment),Yt=o(),He=l("p"),He.textContent=Na,Zt=o(),Ve=l("ul"),Ve.innerHTML=Oa,ea=o(),Ne=l("p"),Ne.textContent=ja,ta=o(),Oe=l("p"),Oe.textContent=Ka,vt=o(),m(le.$$.fragment),xt=o(),j=l("div"),m(se.$$.fragment),aa=o(),je=l("p"),je.textContent=Ba,$t=o(),m(ie.$$.fragment),Ct=o(),K=l("div"),m(de.$$.fragment),oa=o(),Ke=l("p"),Ke.textContent=Ua,yt=o(),m(me.$$.fragment),Tt=o(),B=l("div"),m(pe.$$.fragment),na=o(),Be=l("p"),Be.textContent=Ra,Dt=o(),m(ce.$$.fragment),wt=o(),$=l("div"),m(ge.$$.fragment),ra=o(),Ue=l("p"),Ue.textContent=Ga,la=o(),m(R.$$.fragment),sa=o(),G=l("div"),m(fe.$$.fragment),ia=o(),Re=l("p"),Re.textContent=Xa,da=o(),X=l("div"),m(ue.$$.fragment),ma=o(),Ge=l("p"),Ge.textContent=Ja,pa=o(),J=l("div"),m(he.$$.fragment),ca=o(),Xe=l("p"),Xe.textContent=Qa,Pt=o(),m(_e.$$.fragment),Ft=o(),k=l("div"),m(be.$$.fragment),ga=o(),Je=l("p"),Je.textContent=Ya,fa=o(),Qe=l("ul"),Qe.innerHTML=Za,ua=o(),m(Q.$$.fragment),ha=o(),Y=l("div"),m(ke.$$.fragment),_a=o(),Ye=l("p"),Ye.textContent=eo,ba=o(),Z=l("div"),m(ve.$$.fragment),ka=o(),Ze=l("p"),Ze.textContent=to,va=o(),ee=l("div"),m(xe.$$.fragment),xa=o(),et=l("p"),et.textContent=ao,Mt=o(),m($e.$$.fragment),Lt=o(),C=l("div"),m(Ce.$$.fragment),$a=o(),tt=l("p"),tt.textContent=oo,Ca=o(),at=l("ul"),at.innerHTML=no,ya=o(),H=l("div"),m(ye.$$.fragment),Ta=o(),ot=l("p"),ot.textContent=ro,Da=o(),Te=l("ol"),Te.innerHTML=lo,wa=o(),V=l("div"),m(De.$$.fragment),Pa=o(),nt=l("p"),nt.textContent=so,Fa=o(),we=l("ol"),we.innerHTML=io,Ma=o(),N=l("div"),m(Pe.$$.fragment),La=o(),rt=l("p"),rt.textContent=mo,za=o(),Fe=l("ol"),Fe.innerHTML=po,zt=o(),m(Me.$$.fragment),qt=o(),S=l("div"),m(Le.$$.fragment),qa=o(),lt=l("p"),lt.textContent=co,Sa=o(),st=l("ul"),st.innerHTML=go,St=o(),m(ze.$$.fragment),At=o(),U=l("div"),m(qe.$$.fragment),Aa=o(),it=l("p"),it.textContent=fo,It=o(),m(Se.$$.fragment),Wt=o(),ft=l("p"),this.h()},l(e){const r=xo("svelte-u9bgzb",document.head);h=s(r,"META",{name:!0,content:!0}),r.forEach(a),W=n(e),y=s(e,"P",{}),b(y).forEach(a),w=n(e),p(E.$$.fragment,e),O=n(e),T=s(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-1kxfoc9"&&(T.innerHTML=gt),x=n(e),F=s(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1e3gfra"&&(F.innerHTML=Ia),ut=n(e),te=s(e,"P",{"data-svelte-h":!0}),d(te)!=="svelte-10kyi1a"&&(te.innerHTML=Wa),ht=n(e),p(ae.$$.fragment,e),_t=n(e),M=s(e,"DIV",{class:!0});var A=b(M);p(oe.$$.fragment,A),Xt=n(A),Ie=s(A,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-1hmsgsg"&&(Ie.textContent=Ea),Jt=n(A),We=s(A,"UL",{"data-svelte-h":!0}),d(We)!=="svelte-1pq8qks"&&(We.innerHTML=Ha),Qt=n(A),Ee=s(A,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-1vi1gug"&&(Ee.textContent=Va),A.forEach(a),bt=n(e),p(ne.$$.fragment,e),kt=n(e),D=s(e,"DIV",{class:!0});var L=b(D);p(re.$$.fragment,L),Yt=n(L),He=s(L,"P",{"data-svelte-h":!0}),d(He)!=="svelte-1hmsgsg"&&(He.textContent=Na),Zt=n(L),Ve=s(L,"UL",{"data-svelte-h":!0}),d(Ve)!=="svelte-1pq8qks"&&(Ve.innerHTML=Oa),ea=n(L),Ne=s(L,"P",{"data-svelte-h":!0}),d(Ne)!=="svelte-1vi1gug"&&(Ne.textContent=ja),ta=n(L),Oe=s(L,"P",{"data-svelte-h":!0}),d(Oe)!=="svelte-vfvbwr"&&(Oe.textContent=Ka),L.forEach(a),vt=n(e),p(le.$$.fragment,e),xt=n(e),j=s(e,"DIV",{class:!0});var Ht=b(j);p(se.$$.fragment,Ht),aa=n(Ht),je=s(Ht,"P",{"data-svelte-h":!0}),d(je)!=="svelte-1iebpai"&&(je.textContent=Ba),Ht.forEach(a),$t=n(e),p(ie.$$.fragment,e),Ct=n(e),K=s(e,"DIV",{class:!0});var Vt=b(K);p(de.$$.fragment,Vt),oa=n(Vt),Ke=s(Vt,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-4uvw1w"&&(Ke.textContent=Ua),Vt.forEach(a),yt=n(e),p(me.$$.fragment,e),Tt=n(e),B=s(e,"DIV",{class:!0});var Nt=b(B);p(pe.$$.fragment,Nt),na=n(Nt),Be=s(Nt,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-4uvw1w"&&(Be.textContent=Ra),Nt.forEach(a),Dt=n(e),p(ce.$$.fragment,e),wt=n(e),$=s(e,"DIV",{class:!0});var z=b($);p(ge.$$.fragment,z),ra=n(z),Ue=s(z,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-10km8jk"&&(Ue.textContent=Ga),la=n(z),p(R.$$.fragment,z),sa=n(z),G=s(z,"DIV",{class:!0});var Ot=b(G);p(fe.$$.fragment,Ot),ia=n(Ot),Re=s(Ot,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-iv4xqf"&&(Re.textContent=Xa),Ot.forEach(a),da=n(z),X=s(z,"DIV",{class:!0});var jt=b(X);p(ue.$$.fragment,jt),ma=n(jt),Ge=s(jt,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-iv4xqf"&&(Ge.textContent=Ja),jt.forEach(a),pa=n(z),J=s(z,"DIV",{class:!0});var Kt=b(J);p(he.$$.fragment,Kt),ca=n(Kt),Xe=s(Kt,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-iv4xqf"&&(Xe.textContent=Qa),Kt.forEach(a),z.forEach(a),Pt=n(e),p(_e.$$.fragment,e),Ft=n(e),k=s(e,"DIV",{class:!0});var P=b(k);p(be.$$.fragment,P),ga=n(P),Je=s(P,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-sjqk55"&&(Je.textContent=Ya),fa=n(P),Qe=s(P,"UL",{"data-svelte-h":!0}),d(Qe)!=="svelte-d2ozxj"&&(Qe.innerHTML=Za),ua=n(P),p(Q.$$.fragment,P),ha=n(P),Y=s(P,"DIV",{class:!0});var Bt=b(Y);p(ke.$$.fragment,Bt),_a=n(Bt),Ye=s(Bt,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-10msjh1"&&(Ye.textContent=eo),Bt.forEach(a),ba=n(P),Z=s(P,"DIV",{class:!0});var Ut=b(Z);p(ve.$$.fragment,Ut),ka=n(Ut),Ze=s(Ut,"P",{"data-svelte-h":!0}),d(Ze)!=="svelte-10msjh1"&&(Ze.textContent=to),Ut.forEach(a),va=n(P),ee=s(P,"DIV",{class:!0});var Rt=b(ee);p(xe.$$.fragment,Rt),xa=n(Rt),et=s(Rt,"P",{"data-svelte-h":!0}),d(et)!=="svelte-10msjh1"&&(et.textContent=ao),Rt.forEach(a),P.forEach(a),Mt=n(e),p($e.$$.fragment,e),Lt=n(e),C=s(e,"DIV",{class:!0});var q=b(C);p(Ce.$$.fragment,q),$a=n(q),tt=s(q,"P",{"data-svelte-h":!0}),d(tt)!=="svelte-12inif1"&&(tt.textContent=oo),Ca=n(q),at=s(q,"UL",{"data-svelte-h":!0}),d(at)!=="svelte-1t4qh7k"&&(at.innerHTML=no),ya=n(q),H=s(q,"DIV",{class:!0});var dt=b(H);p(ye.$$.fragment,dt),Ta=n(dt),ot=s(dt,"P",{"data-svelte-h":!0}),d(ot)!=="svelte-1u70phx"&&(ot.textContent=ro),Da=n(dt),Te=s(dt,"OL",{start:!0,"data-svelte-h":!0}),d(Te)!=="svelte-1r6jrbi"&&(Te.innerHTML=lo),dt.forEach(a),wa=n(q),V=s(q,"DIV",{class:!0});var mt=b(V);p(De.$$.fragment,mt),Pa=n(mt),nt=s(mt,"P",{"data-svelte-h":!0}),d(nt)!=="svelte-1u70phx"&&(nt.textContent=so),Fa=n(mt),we=s(mt,"OL",{start:!0,"data-svelte-h":!0}),d(we)!=="svelte-1r6jrbi"&&(we.innerHTML=io),mt.forEach(a),Ma=n(q),N=s(q,"DIV",{class:!0});var pt=b(N);p(Pe.$$.fragment,pt),La=n(pt),rt=s(pt,"P",{"data-svelte-h":!0}),d(rt)!=="svelte-1u70phx"&&(rt.textContent=mo),za=n(pt),Fe=s(pt,"OL",{start:!0,"data-svelte-h":!0}),d(Fe)!=="svelte-1r6jrbi"&&(Fe.innerHTML=po),pt.forEach(a),q.forEach(a),zt=n(e),p(Me.$$.fragment,e),qt=n(e),S=s(e,"DIV",{class:!0});var ct=b(S);p(Le.$$.fragment,ct),qa=n(ct),lt=s(ct,"P",{"data-svelte-h":!0}),d(lt)!=="svelte-4gb9ju"&&(lt.textContent=co),Sa=n(ct),st=s(ct,"UL",{"data-svelte-h":!0}),d(st)!=="svelte-1w5rvhw"&&(st.innerHTML=go),ct.forEach(a),St=n(e),p(ze.$$.fragment,e),At=n(e),U=s(e,"DIV",{class:!0});var Gt=b(U);p(qe.$$.fragment,Gt),Aa=n(Gt),it=s(Gt,"P",{"data-svelte-h":!0}),d(it)!=="svelte-143gdbc"&&(it.textContent=fo),Gt.forEach(a),It=n(e),p(Se.$$.fragment,e),Wt=n(e),ft=s(e,"P",{}),b(ft).forEach(a),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",Po),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Te,"start","0"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(we,"start","0"),_(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Fe,"start","0"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){t(document.head,h),i(e,W,r),i(e,y,r),i(e,w,r),c(E,e,r),i(e,O,r),i(e,T,r),i(e,x,r),i(e,F,r),i(e,ut,r),i(e,te,r),i(e,ht,r),c(ae,e,r),i(e,_t,r),i(e,M,r),c(oe,M,null),t(M,Xt),t(M,Ie),t(M,Jt),t(M,We),t(M,Qt),t(M,Ee),i(e,bt,r),c(ne,e,r),i(e,kt,r),i(e,D,r),c(re,D,null),t(D,Yt),t(D,He),t(D,Zt),t(D,Ve),t(D,ea),t(D,Ne),t(D,ta),t(D,Oe),i(e,vt,r),c(le,e,r),i(e,xt,r),i(e,j,r),c(se,j,null),t(j,aa),t(j,je),i(e,$t,r),c(ie,e,r),i(e,Ct,r),i(e,K,r),c(de,K,null),t(K,oa),t(K,Ke),i(e,yt,r),c(me,e,r),i(e,Tt,r),i(e,B,r),c(pe,B,null),t(B,na),t(B,Be),i(e,Dt,r),c(ce,e,r),i(e,wt,r),i(e,$,r),c(ge,$,null),t($,ra),t($,Ue),t($,la),c(R,$,null),t($,sa),t($,G),c(fe,G,null),t(G,ia),t(G,Re),t($,da),t($,X),c(ue,X,null),t(X,ma),t(X,Ge),t($,pa),t($,J),c(he,J,null),t(J,ca),t(J,Xe),i(e,Pt,r),c(_e,e,r),i(e,Ft,r),i(e,k,r),c(be,k,null),t(k,ga),t(k,Je),t(k,fa),t(k,Qe),t(k,ua),c(Q,k,null),t(k,ha),t(k,Y),c(ke,Y,null),t(Y,_a),t(Y,Ye),t(k,ba),t(k,Z),c(ve,Z,null),t(Z,ka),t(Z,Ze),t(k,va),t(k,ee),c(xe,ee,null),t(ee,xa),t(ee,et),i(e,Mt,r),c($e,e,r),i(e,Lt,r),i(e,C,r),c(Ce,C,null),t(C,$a),t(C,tt),t(C,Ca),t(C,at),t(C,ya),t(C,H),c(ye,H,null),t(H,Ta),t(H,ot),t(H,Da),t(H,Te),t(C,wa),t(C,V),c(De,V,null),t(V,Pa),t(V,nt),t(V,Fa),t(V,we),t(C,Ma),t(C,N),c(Pe,N,null),t(N,La),t(N,rt),t(N,za),t(N,Fe),i(e,zt,r),c(Me,e,r),i(e,qt,r),i(e,S,r),c(Le,S,null),t(S,qa),t(S,lt),t(S,Sa),t(S,st),i(e,St,r),c(ze,e,r),i(e,At,r),i(e,U,r),c(qe,U,null),t(U,Aa),t(U,it),i(e,It,r),c(Se,e,r),i(e,Wt,r),i(e,ft,r),Et=!0},p(e,[r]){const A={};r&2&&(A.$$scope={dirty:r,ctx:e}),R.$set(A);const L={};r&2&&(L.$$scope={dirty:r,ctx:e}),Q.$set(L)},i(e){Et||(g(E.$$.fragment,e),g(ae.$$.fragment,e),g(oe.$$.fragment,e),g(ne.$$.fragment,e),g(re.$$.fragment,e),g(le.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(me.$$.fragment,e),g(pe.$$.fragment,e),g(ce.$$.fragment,e),g(ge.$$.fragment,e),g(R.$$.fragment,e),g(fe.$$.fragment,e),g(ue.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(be.$$.fragment,e),g(Q.$$.fragment,e),g(ke.$$.fragment,e),g(ve.$$.fragment,e),g(xe.$$.fragment,e),g($e.$$.fragment,e),g(Ce.$$.fragment,e),g(ye.$$.fragment,e),g(De.$$.fragment,e),g(Pe.$$.fragment,e),g(Me.$$.fragment,e),g(Le.$$.fragment,e),g(ze.$$.fragment,e),g(qe.$$.fragment,e),g(Se.$$.fragment,e),Et=!0)},o(e){f(E.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(ne.$$.fragment,e),f(re.$$.fragment,e),f(le.$$.fragment,e),f(se.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(me.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),f(ge.$$.fragment,e),f(R.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(be.$$.fragment,e),f(Q.$$.fragment,e),f(ke.$$.fragment,e),f(ve.$$.fragment,e),f(xe.$$.fragment,e),f($e.$$.fragment,e),f(Ce.$$.fragment,e),f(ye.$$.fragment,e),f(De.$$.fragment,e),f(Pe.$$.fragment,e),f(Me.$$.fragment,e),f(Le.$$.fragment,e),f(ze.$$.fragment,e),f(qe.$$.fragment,e),f(Se.$$.fragment,e),Et=!1},d(e){e&&(a(W),a(y),a(w),a(O),a(T),a(x),a(F),a(ut),a(te),a(ht),a(_t),a(M),a(bt),a(kt),a(D),a(vt),a(xt),a(j),a($t),a(Ct),a(K),a(yt),a(Tt),a(B),a(Dt),a(wt),a($),a(Pt),a(Ft),a(k),a(Mt),a(Lt),a(C),a(zt),a(qt),a(S),a(St),a(At),a(U),a(It),a(Wt),a(ft)),a(h),u(E,e),u(ae,e),u(oe),u(ne,e),u(re),u(le,e),u(se),u(ie,e),u(de),u(me,e),u(pe),u(ce,e),u(ge),u(R),u(fe),u(ue),u(he),u(_e,e),u(be),u(Q),u(ke),u(ve),u(xe),u($e,e),u(Ce),u(ye),u(De),u(Pe),u(Me,e),u(Le),u(ze,e),u(qe),u(Se,e)}}}const Po='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorWithFlattening","local":"transformers.DataCollatorWithFlattening","sections":[],"depth":2}],"depth":1}';function Fo(Ae){return bo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ao extends ko{constructor(h){super(),vo(this,h,Fo,wo,_o,{})}}export{Ao as component};
