import{s as Dr,o as Br,n as Fr}from"../chunks/scheduler.01eeda35.js";import{S as Or,i as Gr,g as l,s,r as d,m as Zr,A as jr,h as i,f as t,c as o,j as $,u as f,x as g,n as qr,k as y,y as a,a as n,v as p,d as u,t as c,w as b}from"../chunks/index.6dd51b66.js";import{T as Xr}from"../chunks/Tip.de9bae2b.js";import{D as C}from"../chunks/Docstring.76e6b3cf.js";import{C as Xe}from"../chunks/CodeBlock.864da1b0.js";import{E as Yr}from"../chunks/ExampleCodeBlock.6a36fb6b.js";import{H as Ft,E as zr}from"../chunks/EditOnGithub.7faefd25.js";function Kr(Ce){let h,I="🤗 Transformers has following logging levels:",_,v,x="<li>50: <code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li> <li>40: <code>transformers.logging.ERROR</code></li> <li>30: <code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li> <li>20: <code>transformers.logging.INFO</code></li> <li>10: <code>transformers.logging.DEBUG</code></li>";return{c(){h=l("p"),h.textContent=I,_=s(),v=l("ul"),v.innerHTML=x},l(m){h=i(m,"P",{"data-svelte-h":!0}),g(h)!=="svelte-xr075s"&&(h.textContent=I),_=o(m),v=i(m,"UL",{"data-svelte-h":!0}),g(v)!=="svelte-1s22l0g"&&(v.innerHTML=x)},m(m,T){n(m,h,T),n(m,_,T),n(m,v,T)},p:Fr,d(m){m&&(t(h),t(_),t(v))}}}function Qr(Ce){let h,I="Enable explicit formatting for every HuggingFace Transformers’s logger. The explicit formatter is as follows:",_,v,x;return v=new Xe({props:{code:"JTIwJTIwJTIwJTIwJTVCTEVWRUxOQU1FJTdDRklMRU5BTUUlN0NMSU5FJTIwTlVNQkVSJTVEJTIwVElNRSUyMCUzRSUzRSUyME1FU1NBR0U=",highlighted:'    [LEVELNAME|<span class="hljs-type">FILENAME</span>|<span class="hljs-type">LINE</span> NUMBER] TIME &gt;&gt; MESSAGE',wrap:!1}}),{c(){h=l("p"),h.textContent=I,_=s(),d(v.$$.fragment)},l(m){h=i(m,"P",{"data-svelte-h":!0}),g(h)!=="svelte-1db65t5"&&(h.textContent=I),_=o(m),f(v.$$.fragment,m)},m(m,T){n(m,h,T),n(m,_,T),p(v,m,T),x=!0},p:Fr,i(m){x||(u(v.$$.fragment,m),x=!0)},o(m){c(v.$$.fragment,m),x=!1},d(m){m&&(t(h),t(_)),b(v,m)}}}function en(Ce){let h,I,_,v,x,m,T,gr="🤗 Transformers has a centralized logging system, so that you can setup the verbosity of the library easily.",Ye,B,mr="Currently the default verbosity of the library is <code>WARNING</code>.",ze,O,dr=`To change the level of verbosity, just use one of the direct setters. For instance, here is how to change the verbosity
to the INFO level.`,Ke,G,Qe,Z,fr=`You can also use the environment variable <code>TRANSFORMERS_VERBOSITY</code> to override the default verbosity. You can set it
to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>, <code>fatal</code>. For example:`,et,j,tt,q,pr=`Additionally, some <code>warnings</code> can be disabled by setting the environment variable
<code>TRANSFORMERS_NO_ADVISORY_WARNINGS</code> to a true value, like <em>1</em>. This will disable any warning that is logged using
<code>logger.warning_advice</code>. For example:`,rt,X,nt,Y,ur="Here is an example of how to use the same logger as the library in your own module or script:",st,z,ot,K,cr=`All the methods of this logging module are documented below, the main ones are
<a href="/docs/transformers/main/en/main_classes/logging#transformers.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger and
<a href="/docs/transformers/main/en/main_classes/logging#transformers.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice. In order (from the least
verbose to the most verbose), those levels (with their corresponding int values in parenthesis) are:`,lt,Q,br=`<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code> (int value, 50): only report the most
critical errors.</li> <li><code>transformers.logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code> (int value, 30): only reports error and
warnings. This is the default level used by the library.</li> <li><code>transformers.logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>transformers.logging.DEBUG</code> (int value, 10): report all information.</li>`,it,ee,hr='By default, <code>tqdm</code> progress bars will be displayed during model download. <a href="/docs/transformers/main/en/main_classes/logging#transformers.utils.logging.disable_progress_bar">logging.disable_progress_bar()</a> and <a href="/docs/transformers/main/en/main_classes/logging#transformers.utils.logging.enable_progress_bar">logging.enable_progress_bar()</a> can be used to suppress or unsuppress this behavior.',at,te,gt,re,vr=`Python has two logging systems that are often used in conjunction: <code>logging</code>, which is explained above, and <code>warnings</code>,
which allows further classification of warnings in specific buckets, e.g., <code>FutureWarning</code> for a feature or path
that has already been deprecated and <code>DeprecationWarning</code> to indicate an upcoming deprecation.`,mt,ne,$r=`We use both in the <code>transformers</code> library. We leverage and adapt <code>logging</code>’s <code>captureWarnings</code> method to allow
management of these warning messages by the verbosity setters above.`,dt,se,yr="What does that mean for developers of the library? We should respect the following heuristics:",ft,oe,_r="<li><code>warnings</code> should be favored for developers of the library and libraries dependent on <code>transformers</code></li> <li><code>logging</code> should be used for end-users of the library using it in every-day projects</li>",pt,le,xr="See reference of the <code>captureWarnings</code> method below.",ut,w,ie,Dt,Le,Tr=`Calls the <code>captureWarnings</code> method from the logging library to enable management of the warnings emitted by the
<code>warnings</code> library.`,Bt,Me,wr=`Read more about this method here:
<a href="https://docs.python.org/3/library/logging.html#integration-with-the-warnings-module" rel="nofollow">https://docs.python.org/3/library/logging.html#integration-with-the-warnings-module</a>`,Ot,Re,Cr="All warnings will be logged through the <code>py.warnings</code> logger.",Gt,Ee,Lr=`Careful: this method also adds a handler to this logger if it does not already have one, and updates the logging
level of that logger to the library’s root logger.`,ct,ae,bt,H,ge,Zt,Ie,Mr="Set the verbosity to the <code>ERROR</code> level.",ht,J,me,jt,Ne,Rr="Set the verbosity to the <code>WARNING</code> level.",vt,P,de,qt,He,Er="Set the verbosity to the <code>INFO</code> level.",$t,A,fe,Xt,Je,Ir="Set the verbosity to the <code>DEBUG</code> level.",yt,pe,_t,M,ue,Yt,Pe,Nr="Return the current level for the 🤗 Transformers’s root logger as an int.",zt,F,xt,V,ce,Kt,Ae,Hr="Set the verbosity level for the 🤗 Transformers’s root logger.",Tt,R,be,Qt,Ve,Jr="Return a logger with the specified name.",er,We,Pr="This function is not supposed to be directly accessed unless you are writing a custom transformers module.",wt,W,he,tr,Ue,Ar="Enable the default handler of the HuggingFace Transformers’s root logger.",Ct,U,ve,rr,Se,Vr="Disable the default handler of the HuggingFace Transformers’s root logger.",Lt,N,$e,nr,D,sr,Mt,E,ye,or,ke,Wr="Resets the formatting for HuggingFace Transformers’s loggers.",lr,Fe,Ur="All handlers currently bound to the root logger are affected by this method.",Rt,S,_e,ir,De,Sr="Enable tqdm progress bar.",Et,k,xe,ar,Be,kr="Disable tqdm progress bar.",It,Te,Nt,je,Ht;return x=new Ft({props:{title:"Logging",local:"logging",headingTag:"h1"}}),G=new Xe({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJzJTBBJTBBdHJhbnNmb3JtZXJzLmxvZ2dpbmcuc2V0X3ZlcmJvc2l0eV9pbmZvKCk=",highlighted:`<span class="hljs-keyword">import</span> transformers

transformers.logging.set_verbosity_info()`,wrap:!1}}),j=new Xe({props:{code:"VFJBTlNGT1JNRVJTX1ZFUkJPU0lUWSUzRGVycm9yJTIwLiUyRm15cHJvZ3JhbS5weQ==",highlighted:"TRANSFORMERS_VERBOSITY=error ./myprogram.py",wrap:!1}}),X=new Xe({props:{code:"VFJBTlNGT1JNRVJTX05PX0FEVklTT1JZX1dBUk5JTkdTJTNEMSUyMC4lMkZteXByb2dyYW0ucHk=",highlighted:"TRANSFORMERS_NO_ADVISORY_WARNINGS=1 ./myprogram.py",wrap:!1}}),z=new Xe({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycy51dGlscyUyMGltcG9ydCUyMGxvZ2dpbmclMEElMEFsb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygpJTBBbG9nZ2VyJTIwJTNEJTIwbG9nZ2luZy5nZXRfbG9nZ2VyKCUyMnRyYW5zZm9ybWVycyUyMiklMEFsb2dnZXIuaW5mbyglMjJJTkZPJTIyKSUwQWxvZ2dlci53YXJuaW5nKCUyMldBUk4lMjIp",highlighted:`<span class="hljs-keyword">from</span> transformers.utils <span class="hljs-keyword">import</span> logging

logging.set_verbosity_info()
logger = logging.get_logger(<span class="hljs-string">&quot;transformers&quot;</span>)
logger.info(<span class="hljs-string">&quot;INFO&quot;</span>)
logger.warning(<span class="hljs-string">&quot;WARN&quot;</span>)`,wrap:!1}}),te=new Ft({props:{title:"logging vs warnings",local:"transformers.utils.logging.captureWarnings",headingTag:"h2"}}),ie=new C({props:{name:"transformers.utils.logging.captureWarnings",anchor:"transformers.utils.logging.captureWarnings",parameters:[{name:"capture",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L125"}}),ae=new Ft({props:{title:"Base setters",local:"transformers.utils.logging.set_verbosity_error",headingTag:"h2"}}),ge=new C({props:{name:"transformers.utils.logging.set_verbosity_error",anchor:"transformers.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L219"}}),me=new C({props:{name:"transformers.utils.logging.set_verbosity_warning",anchor:"transformers.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L209"}}),de=new C({props:{name:"transformers.utils.logging.set_verbosity_info",anchor:"transformers.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L204"}}),fe=new C({props:{name:"transformers.utils.logging.set_verbosity_debug",anchor:"transformers.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L214"}}),pe=new Ft({props:{title:"Other functions",local:"transformers.utils.logging.get_verbosity",headingTag:"h2"}}),ue=new C({props:{name:"transformers.utils.logging.get_verbosity",anchor:"transformers.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L162",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The logging level.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>int</code></p>
`}}),F=new Xr({props:{$$slots:{default:[Kr]},$$scope:{ctx:Ce}}}),ce=new C({props:{name:"transformers.utils.logging.set_verbosity",anchor:"transformers.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],parametersDescription:[{anchor:"transformers.utils.logging.set_verbosity.verbosity",description:`<strong>verbosity</strong> (<code>int</code>) &#x2014;
Logging level, e.g., one of:</p>
<ul>
<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li>
<li><code>transformers.logging.ERROR</code></li>
<li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li>
<li><code>transformers.logging.INFO</code></li>
<li><code>transformers.logging.DEBUG</code></li>
</ul>`,name:"verbosity"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L185"}}),be=new C({props:{name:"transformers.utils.logging.get_logger",anchor:"transformers.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L148"}}),he=new C({props:{name:"transformers.utils.logging.enable_default_handler",anchor:"transformers.utils.logging.enable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L233"}}),ve=new C({props:{name:"transformers.utils.logging.disable_default_handler",anchor:"transformers.utils.logging.disable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L224"}}),$e=new C({props:{name:"transformers.utils.logging.enable_explicit_format",anchor:"transformers.utils.logging.enable_explicit_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L279"}}),D=new Yr({props:{anchor:"transformers.utils.logging.enable_explicit_format.example",$$slots:{default:[Qr]},$$scope:{ctx:Ce}}}),ye=new C({props:{name:"transformers.utils.logging.reset_format",anchor:"transformers.utils.logging.reset_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L294"}}),_e=new C({props:{name:"transformers.utils.logging.enable_progress_bar",anchor:"transformers.utils.logging.enable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L400"}}),xe=new C({props:{name:"transformers.utils.logging.disable_progress_bar",anchor:"transformers.utils.logging.disable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/logging.py#L407"}}),Te=new zr({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/logging.md"}}),{c(){h=l("meta"),I=s(),_=l("p"),v=s(),d(x.$$.fragment),m=s(),T=l("p"),T.textContent=gr,Ye=s(),B=l("p"),B.innerHTML=mr,ze=s(),O=l("p"),O.textContent=dr,Ke=s(),d(G.$$.fragment),Qe=s(),Z=l("p"),Z.innerHTML=fr,et=s(),d(j.$$.fragment),tt=s(),q=l("p"),q.innerHTML=pr,rt=s(),d(X.$$.fragment),nt=s(),Y=l("p"),Y.textContent=ur,st=s(),d(z.$$.fragment),ot=s(),K=l("p"),K.innerHTML=cr,lt=s(),Q=l("ul"),Q.innerHTML=br,it=s(),ee=l("p"),ee.innerHTML=hr,at=s(),d(te.$$.fragment),gt=s(),re=l("p"),re.innerHTML=vr,mt=s(),ne=l("p"),ne.innerHTML=$r,dt=s(),se=l("p"),se.textContent=yr,ft=s(),oe=l("ul"),oe.innerHTML=_r,pt=s(),le=l("p"),le.innerHTML=xr,ut=s(),w=l("div"),d(ie.$$.fragment),Dt=s(),Le=l("p"),Le.innerHTML=Tr,Bt=s(),Me=l("p"),Me.innerHTML=wr,Ot=s(),Re=l("p"),Re.innerHTML=Cr,Gt=s(),Ee=l("p"),Ee.textContent=Lr,ct=s(),d(ae.$$.fragment),bt=s(),H=l("div"),d(ge.$$.fragment),Zt=s(),Ie=l("p"),Ie.innerHTML=Mr,ht=s(),J=l("div"),d(me.$$.fragment),jt=s(),Ne=l("p"),Ne.innerHTML=Rr,vt=s(),P=l("div"),d(de.$$.fragment),qt=s(),He=l("p"),He.innerHTML=Er,$t=s(),A=l("div"),d(fe.$$.fragment),Xt=s(),Je=l("p"),Je.innerHTML=Ir,yt=s(),d(pe.$$.fragment),_t=s(),M=l("div"),d(ue.$$.fragment),Yt=s(),Pe=l("p"),Pe.textContent=Nr,zt=s(),d(F.$$.fragment),xt=s(),V=l("div"),d(ce.$$.fragment),Kt=s(),Ae=l("p"),Ae.textContent=Hr,Tt=s(),R=l("div"),d(be.$$.fragment),Qt=s(),Ve=l("p"),Ve.textContent=Jr,er=s(),We=l("p"),We.textContent=Pr,wt=s(),W=l("div"),d(he.$$.fragment),tr=s(),Ue=l("p"),Ue.textContent=Ar,Ct=s(),U=l("div"),d(ve.$$.fragment),rr=s(),Se=l("p"),Se.textContent=Vr,Lt=s(),N=l("div"),d($e.$$.fragment),nr=s(),d(D.$$.fragment),sr=Zr(`
All handlers currently bound to the root logger are affected by this method.`),Mt=s(),E=l("div"),d(ye.$$.fragment),or=s(),ke=l("p"),ke.textContent=Wr,lr=s(),Fe=l("p"),Fe.textContent=Ur,Rt=s(),S=l("div"),d(_e.$$.fragment),ir=s(),De=l("p"),De.textContent=Sr,Et=s(),k=l("div"),d(xe.$$.fragment),ar=s(),Be=l("p"),Be.textContent=kr,It=s(),d(Te.$$.fragment),Nt=s(),je=l("p"),this.h()},l(e){const r=jr("svelte-u9bgzb",document.head);h=i(r,"META",{name:!0,content:!0}),r.forEach(t),I=o(e),_=i(e,"P",{}),$(_).forEach(t),v=o(e),f(x.$$.fragment,e),m=o(e),T=i(e,"P",{"data-svelte-h":!0}),g(T)!=="svelte-1pvcwri"&&(T.textContent=gr),Ye=o(e),B=i(e,"P",{"data-svelte-h":!0}),g(B)!=="svelte-knr825"&&(B.innerHTML=mr),ze=o(e),O=i(e,"P",{"data-svelte-h":!0}),g(O)!=="svelte-1us4yht"&&(O.textContent=dr),Ke=o(e),f(G.$$.fragment,e),Qe=o(e),Z=i(e,"P",{"data-svelte-h":!0}),g(Z)!=="svelte-1b9wmrh"&&(Z.innerHTML=fr),et=o(e),f(j.$$.fragment,e),tt=o(e),q=i(e,"P",{"data-svelte-h":!0}),g(q)!=="svelte-1d4vvlx"&&(q.innerHTML=pr),rt=o(e),f(X.$$.fragment,e),nt=o(e),Y=i(e,"P",{"data-svelte-h":!0}),g(Y)!=="svelte-xupc13"&&(Y.textContent=ur),st=o(e),f(z.$$.fragment,e),ot=o(e),K=i(e,"P",{"data-svelte-h":!0}),g(K)!=="svelte-jad81j"&&(K.innerHTML=cr),lt=o(e),Q=i(e,"UL",{"data-svelte-h":!0}),g(Q)!=="svelte-1mahc13"&&(Q.innerHTML=br),it=o(e),ee=i(e,"P",{"data-svelte-h":!0}),g(ee)!=="svelte-jk6ve"&&(ee.innerHTML=hr),at=o(e),f(te.$$.fragment,e),gt=o(e),re=i(e,"P",{"data-svelte-h":!0}),g(re)!=="svelte-tegfrp"&&(re.innerHTML=vr),mt=o(e),ne=i(e,"P",{"data-svelte-h":!0}),g(ne)!=="svelte-f4klds"&&(ne.innerHTML=$r),dt=o(e),se=i(e,"P",{"data-svelte-h":!0}),g(se)!=="svelte-1nc0qkx"&&(se.textContent=yr),ft=o(e),oe=i(e,"UL",{"data-svelte-h":!0}),g(oe)!=="svelte-1fxgo7k"&&(oe.innerHTML=_r),pt=o(e),le=i(e,"P",{"data-svelte-h":!0}),g(le)!=="svelte-isqw2o"&&(le.innerHTML=xr),ut=o(e),w=i(e,"DIV",{class:!0});var L=$(w);f(ie.$$.fragment,L),Dt=o(L),Le=i(L,"P",{"data-svelte-h":!0}),g(Le)!=="svelte-7noldf"&&(Le.innerHTML=Tr),Bt=o(L),Me=i(L,"P",{"data-svelte-h":!0}),g(Me)!=="svelte-wu9e1c"&&(Me.innerHTML=wr),Ot=o(L),Re=i(L,"P",{"data-svelte-h":!0}),g(Re)!=="svelte-1rsdpfu"&&(Re.innerHTML=Cr),Gt=o(L),Ee=i(L,"P",{"data-svelte-h":!0}),g(Ee)!=="svelte-73l4cs"&&(Ee.textContent=Lr),L.forEach(t),ct=o(e),f(ae.$$.fragment,e),bt=o(e),H=i(e,"DIV",{class:!0});var we=$(H);f(ge.$$.fragment,we),Zt=o(we),Ie=i(we,"P",{"data-svelte-h":!0}),g(Ie)!=="svelte-1ppk729"&&(Ie.innerHTML=Mr),we.forEach(t),ht=o(e),J=i(e,"DIV",{class:!0});var Jt=$(J);f(me.$$.fragment,Jt),jt=o(Jt),Ne=i(Jt,"P",{"data-svelte-h":!0}),g(Ne)!=="svelte-12ljo43"&&(Ne.innerHTML=Rr),Jt.forEach(t),vt=o(e),P=i(e,"DIV",{class:!0});var Pt=$(P);f(de.$$.fragment,Pt),qt=o(Pt),He=i(Pt,"P",{"data-svelte-h":!0}),g(He)!=="svelte-1ruccfv"&&(He.innerHTML=Er),Pt.forEach(t),$t=o(e),A=i(e,"DIV",{class:!0});var At=$(A);f(fe.$$.fragment,At),Xt=o(At),Je=i(At,"P",{"data-svelte-h":!0}),g(Je)!=="svelte-10c80ti"&&(Je.innerHTML=Ir),At.forEach(t),yt=o(e),f(pe.$$.fragment,e),_t=o(e),M=i(e,"DIV",{class:!0});var Oe=$(M);f(ue.$$.fragment,Oe),Yt=o(Oe),Pe=i(Oe,"P",{"data-svelte-h":!0}),g(Pe)!=="svelte-c6o18d"&&(Pe.textContent=Nr),zt=o(Oe),f(F.$$.fragment,Oe),Oe.forEach(t),xt=o(e),V=i(e,"DIV",{class:!0});var Vt=$(V);f(ce.$$.fragment,Vt),Kt=o(Vt),Ae=i(Vt,"P",{"data-svelte-h":!0}),g(Ae)!=="svelte-1pc8gq7"&&(Ae.textContent=Hr),Vt.forEach(t),Tt=o(e),R=i(e,"DIV",{class:!0});var Ge=$(R);f(be.$$.fragment,Ge),Qt=o(Ge),Ve=i(Ge,"P",{"data-svelte-h":!0}),g(Ve)!=="svelte-155a6rh"&&(Ve.textContent=Jr),er=o(Ge),We=i(Ge,"P",{"data-svelte-h":!0}),g(We)!=="svelte-7r9l0i"&&(We.textContent=Pr),Ge.forEach(t),wt=o(e),W=i(e,"DIV",{class:!0});var Wt=$(W);f(he.$$.fragment,Wt),tr=o(Wt),Ue=i(Wt,"P",{"data-svelte-h":!0}),g(Ue)!=="svelte-1d9pjkh"&&(Ue.textContent=Ar),Wt.forEach(t),Ct=o(e),U=i(e,"DIV",{class:!0});var Ut=$(U);f(ve.$$.fragment,Ut),rr=o(Ut),Se=i(Ut,"P",{"data-svelte-h":!0}),g(Se)!=="svelte-147u0ic"&&(Se.textContent=Vr),Ut.forEach(t),Lt=o(e),N=i(e,"DIV",{class:!0});var qe=$(N);f($e.$$.fragment,qe),nr=o(qe),f(D.$$.fragment,qe),sr=qr(qe,`
All handlers currently bound to the root logger are affected by this method.`),qe.forEach(t),Mt=o(e),E=i(e,"DIV",{class:!0});var Ze=$(E);f(ye.$$.fragment,Ze),or=o(Ze),ke=i(Ze,"P",{"data-svelte-h":!0}),g(ke)!=="svelte-1yfjx32"&&(ke.textContent=Wr),lr=o(Ze),Fe=i(Ze,"P",{"data-svelte-h":!0}),g(Fe)!=="svelte-3qpllw"&&(Fe.textContent=Ur),Ze.forEach(t),Rt=o(e),S=i(e,"DIV",{class:!0});var St=$(S);f(_e.$$.fragment,St),ir=o(St),De=i(St,"P",{"data-svelte-h":!0}),g(De)!=="svelte-1n9lbl5"&&(De.textContent=Sr),St.forEach(t),Et=o(e),k=i(e,"DIV",{class:!0});var kt=$(k);f(xe.$$.fragment,kt),ar=o(kt),Be=i(kt,"P",{"data-svelte-h":!0}),g(Be)!=="svelte-4qd7jw"&&(Be.textContent=kr),kt.forEach(t),It=o(e),f(Te.$$.fragment,e),Nt=o(e),je=i(e,"P",{}),$(je).forEach(t),this.h()},h(){y(h,"name","hf:doc:metadata"),y(h,"content",tn),y(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){a(document.head,h),n(e,I,r),n(e,_,r),n(e,v,r),p(x,e,r),n(e,m,r),n(e,T,r),n(e,Ye,r),n(e,B,r),n(e,ze,r),n(e,O,r),n(e,Ke,r),p(G,e,r),n(e,Qe,r),n(e,Z,r),n(e,et,r),p(j,e,r),n(e,tt,r),n(e,q,r),n(e,rt,r),p(X,e,r),n(e,nt,r),n(e,Y,r),n(e,st,r),p(z,e,r),n(e,ot,r),n(e,K,r),n(e,lt,r),n(e,Q,r),n(e,it,r),n(e,ee,r),n(e,at,r),p(te,e,r),n(e,gt,r),n(e,re,r),n(e,mt,r),n(e,ne,r),n(e,dt,r),n(e,se,r),n(e,ft,r),n(e,oe,r),n(e,pt,r),n(e,le,r),n(e,ut,r),n(e,w,r),p(ie,w,null),a(w,Dt),a(w,Le),a(w,Bt),a(w,Me),a(w,Ot),a(w,Re),a(w,Gt),a(w,Ee),n(e,ct,r),p(ae,e,r),n(e,bt,r),n(e,H,r),p(ge,H,null),a(H,Zt),a(H,Ie),n(e,ht,r),n(e,J,r),p(me,J,null),a(J,jt),a(J,Ne),n(e,vt,r),n(e,P,r),p(de,P,null),a(P,qt),a(P,He),n(e,$t,r),n(e,A,r),p(fe,A,null),a(A,Xt),a(A,Je),n(e,yt,r),p(pe,e,r),n(e,_t,r),n(e,M,r),p(ue,M,null),a(M,Yt),a(M,Pe),a(M,zt),p(F,M,null),n(e,xt,r),n(e,V,r),p(ce,V,null),a(V,Kt),a(V,Ae),n(e,Tt,r),n(e,R,r),p(be,R,null),a(R,Qt),a(R,Ve),a(R,er),a(R,We),n(e,wt,r),n(e,W,r),p(he,W,null),a(W,tr),a(W,Ue),n(e,Ct,r),n(e,U,r),p(ve,U,null),a(U,rr),a(U,Se),n(e,Lt,r),n(e,N,r),p($e,N,null),a(N,nr),p(D,N,null),a(N,sr),n(e,Mt,r),n(e,E,r),p(ye,E,null),a(E,or),a(E,ke),a(E,lr),a(E,Fe),n(e,Rt,r),n(e,S,r),p(_e,S,null),a(S,ir),a(S,De),n(e,Et,r),n(e,k,r),p(xe,k,null),a(k,ar),a(k,Be),n(e,It,r),p(Te,e,r),n(e,Nt,r),n(e,je,r),Ht=!0},p(e,[r]){const L={};r&2&&(L.$$scope={dirty:r,ctx:e}),F.$set(L);const we={};r&2&&(we.$$scope={dirty:r,ctx:e}),D.$set(we)},i(e){Ht||(u(x.$$.fragment,e),u(G.$$.fragment,e),u(j.$$.fragment,e),u(X.$$.fragment,e),u(z.$$.fragment,e),u(te.$$.fragment,e),u(ie.$$.fragment,e),u(ae.$$.fragment,e),u(ge.$$.fragment,e),u(me.$$.fragment,e),u(de.$$.fragment,e),u(fe.$$.fragment,e),u(pe.$$.fragment,e),u(ue.$$.fragment,e),u(F.$$.fragment,e),u(ce.$$.fragment,e),u(be.$$.fragment,e),u(he.$$.fragment,e),u(ve.$$.fragment,e),u($e.$$.fragment,e),u(D.$$.fragment,e),u(ye.$$.fragment,e),u(_e.$$.fragment,e),u(xe.$$.fragment,e),u(Te.$$.fragment,e),Ht=!0)},o(e){c(x.$$.fragment,e),c(G.$$.fragment,e),c(j.$$.fragment,e),c(X.$$.fragment,e),c(z.$$.fragment,e),c(te.$$.fragment,e),c(ie.$$.fragment,e),c(ae.$$.fragment,e),c(ge.$$.fragment,e),c(me.$$.fragment,e),c(de.$$.fragment,e),c(fe.$$.fragment,e),c(pe.$$.fragment,e),c(ue.$$.fragment,e),c(F.$$.fragment,e),c(ce.$$.fragment,e),c(be.$$.fragment,e),c(he.$$.fragment,e),c(ve.$$.fragment,e),c($e.$$.fragment,e),c(D.$$.fragment,e),c(ye.$$.fragment,e),c(_e.$$.fragment,e),c(xe.$$.fragment,e),c(Te.$$.fragment,e),Ht=!1},d(e){e&&(t(I),t(_),t(v),t(m),t(T),t(Ye),t(B),t(ze),t(O),t(Ke),t(Qe),t(Z),t(et),t(tt),t(q),t(rt),t(nt),t(Y),t(st),t(ot),t(K),t(lt),t(Q),t(it),t(ee),t(at),t(gt),t(re),t(mt),t(ne),t(dt),t(se),t(ft),t(oe),t(pt),t(le),t(ut),t(w),t(ct),t(bt),t(H),t(ht),t(J),t(vt),t(P),t($t),t(A),t(yt),t(_t),t(M),t(xt),t(V),t(Tt),t(R),t(wt),t(W),t(Ct),t(U),t(Lt),t(N),t(Mt),t(E),t(Rt),t(S),t(Et),t(k),t(It),t(Nt),t(je)),t(h),b(x,e),b(G,e),b(j,e),b(X,e),b(z,e),b(te,e),b(ie),b(ae,e),b(ge),b(me),b(de),b(fe),b(pe,e),b(ue),b(F),b(ce),b(be),b(he),b(ve),b($e),b(D),b(ye),b(_e),b(xe),b(Te,e)}}}const tn='{"title":"Logging","local":"logging","sections":[{"title":"logging vs warnings","local":"transformers.utils.logging.captureWarnings","sections":[],"depth":2},{"title":"Base setters","local":"transformers.utils.logging.set_verbosity_error","sections":[],"depth":2},{"title":"Other functions","local":"transformers.utils.logging.get_verbosity","sections":[],"depth":2}],"depth":1}';function rn(Ce){return Br(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dn extends Or{constructor(h){super(),Gr(this,h,rn,en,Dr,{})}}export{dn as component};
