import{s as Ri,o as Wi,n as Ui}from"../chunks/scheduler.01eeda35.js";import{S as Yi,i as Ji,g as r,s as n,r as d,A as Ki,h as a,f as s,c as o,j as h,u as l,x as g,k as _,y as t,a as u,v as m,d as c,t as p,w as f}from"../chunks/index.6dd51b66.js";import{T as Xi}from"../chunks/Tip.de9bae2b.js";import{D as b}from"../chunks/Docstring.76e6b3cf.js";import{H as q,E as Zi}from"../chunks/EditOnGithub.7faefd25.js";function ed($o){let x,Ae='Learn how to quantize models in the <a href="../quantization">Quantization</a> guide.';return{c(){x=r("p"),x.innerHTML=Ae},l(L){x=a(L,"P",{"data-svelte-h":!0}),g(x)!=="svelte-1pv1tva"&&(x.innerHTML=Ae)},m(L,on){u(L,x,on)},p:Ui,d(L){L&&s(x)}}}function td($o){let x,Ae,L,on,Qe,yo,Me,Vs="Quantization techniques reduce memory and computational costs by representing weights and activations with lower-precision data types like 8-bit integers (int8). This enables loading larger models you normally wouldn’t be able to fit into memory, and speeding up inference. Transformers supports the AWQ and GPTQ quantization algorithms and it supports 8-bit and 4-bit quantization with bitsandbytes.",xo,Ee,Is="Quantization techniques that aren’t supported in Transformers can be added with the <code>HfQuantizer</code> class.",qo,R,Co,Fe,zo,P,Ne,Wr,rn,Gs=`This is a wrapper class about all possible attributes and features that you can play with a model that has been
loaded using <code>quanto</code>.`,Ur,W,Ve,Yr,an,Bs="Safety checker that arguments are correct",wo,Ie,To,D,Ge,Jr,sn,Os="This is a wrapper class about <code>aqlm</code> parameters.",Kr,U,Be,Xr,dn,Ss="Safety checker that arguments are correct - also replaces some NoneType arguments with their default values.",ko,Oe,Lo,H,Se,Zr,ln,js="This is a wrapper class about <code>vptq</code> parameters.",ea,Y,je,ta,mn,Rs="Safety checker that arguments are correct",Po,Re,Do,A,We,na,cn,Ws=`This is a wrapper class about all possible attributes and features that you can play with a model that has been
loaded using <code>auto-awq</code> library awq quantization relying on auto_awq backend.`,oa,J,Ue,ra,pn,Us="Safety checker that arguments are correct",Ho,Ye,Ao,Q,Je,aa,fn,Ys=`This is a wrapper class about all possible attributes and features that you can play with a model that has been
loaded using <code>eetq</code>.`,sa,K,Ke,ia,gn,Js="Safety checker that arguments are correct",Qo,Xe,Mo,z,Ze,da,un,Ks=`This is a wrapper class about all possible attributes and features that you can play with a model that has been
loaded using <code>optimum</code> api for gptq quantization relying on auto_gptq backend.`,la,X,et,ma,hn,Xs="Get compatible class with optimum gptq config dict",ca,Z,tt,pa,_n,Zs="Safety checker that arguments are correct",fa,ee,nt,ga,bn,ei="Get compatible dict for optimum gptq config",Eo,ot,Fo,y,rt,ua,vn,ti=`This is a wrapper class about all possible attributes and features that you can play with a model that has been
loaded using <code>bitsandbytes</code>.`,ha,$n,ni="This replaces <code>load_in_8bit</code> or <code>load_in_4bit</code>therefore both options are mutually exclusive.",_a,yn,oi=`Currently only supports <code>LLM.int8()</code>, <code>FP4</code>, and <code>NF4</code> quantization. If more methods are added to <code>bitsandbytes</code>,
then more arguments will be added to this class.`,ba,te,at,va,xn,ri="Returns <code>True</code> if the model is quantizable, <code>False</code> otherwise.",$a,ne,st,ya,qn,ai="Safety checker that arguments are correct - also replaces some NoneType arguments with their default values.",xa,oe,it,qa,Cn,si=`This method returns the quantization method used for the model. If the model is not quantizable, it returns
<code>None</code>.`,Ca,re,dt,za,zn,ii=`Removes all attributes from config which correspond to the default config attributes for better readability and
serializes to a Python dictionary.`,No,lt,Vo,v,mt,wa,wn,di=`Abstract class of the HuggingFace quantizer. Supports for now quantizing HF transformers models for inference and/or quantization.
This class is used only for transformers.PreTrainedModel.from_pretrained and cannot be easily used outside the scope of that method
yet.`,Ta,Tn,li=`Attributes
quantization_config (<code>transformers.utils.quantization_config.QuantizationConfigMixin</code>):
The quantization config that defines the quantization parameters of your model that you want to quantize.
modules_to_not_convert (<code>List[str]</code>, <em>optional</em>):
The list of module names to not convert when quantizing the model.
required_packages (<code>List[str]</code>, <em>optional</em>):
The list of required pip packages to install prior to using the quantizer
requires_calibration (<code>bool</code>):
Whether the quantization method requires to calibrate the model before using it.
requires_parameters_quantization (<code>bool</code>):
Whether the quantization method requires to create a new Parameter. For example, for bitsandbytes, it is
required to create a new xxxParameter in order to properly quantize the model.`,ka,ae,ct,La,kn,mi="adjust max_memory argument for infer_auto_device_map() if extra memory is needed for quantization",Pa,se,pt,Da,Ln,ci=`Override this method if you want to adjust the <code>target_dtype</code> variable used in <code>from_pretrained</code>
to compute the device_map in case the device_map is a <code>str</code>. E.g. for bitsandbytes we force-set <code>target_dtype</code>
to <code>torch.int8</code> and for 4-bit we pass a custom enum <code>accelerate.CustomDtype.int4</code>.`,Ha,ie,ft,Aa,Pn,pi=`checks if a loaded state_dict component is part of quantized param + some validation; only defined if
requires_parameters_quantization == True for quantization methods that require to create a new parameters
for quantization.`,Qa,de,gt,Ma,Dn,fi=`takes needed components from state_dict and creates quantized param; only applicable if
requires_parameters_quantization == True`,Ea,le,ut,Fa,Hn,gi=`Potentially dequantize the model to retrive the original model, with some loss in accuracy / performance.
Note not all quantization schemes support this.`,Na,me,ht,Va,An,ui=`returns dtypes for modules that are not quantized - used for the computation of the device_map in case
one passes a str as a device_map. The method will use the <code>modules_to_not_convert</code> that is modified
in <code>_process_model_before_weight_loading</code>.`,Ia,ce,_t,Ga,Qn,hi=`Post-process the model post weights loading.
Make sure to override the abstract method <code>_process_model_after_weight_loading</code>.`,Ba,pe,bt,Oa,Mn,_i=`Setting model attributes and/or converting model before weights loading. At this point
the model should be initialized on the meta device so you can freely manipulate the skeleton
of the model in order to replace modules in-place. Make sure to override the abstract method <code>_process_model_before_weight_loading</code>.`,Sa,fe,vt,ja,En,bi=`Override this method if you want to pass a override the existing device map with a new
one. E.g. for bitsandbytes, since <code>accelerate</code> is a hard requirement, if no device_map is
passed, the device_map is set to \`“auto”“`,Ra,ge,$t,Wa,Fn,vi="Override this method if you want to adjust the <code>update_expected_keys</code>.",Ua,ue,yt,Ya,Nn,$i="Override this method if you want to adjust the <code>missing_keys</code>.",Ja,he,xt,Ka,Vn,yi=`Override this method if you want to adjust the <code>missing_keys</code> after loading the model params,
but before the model is post-processed.`,Xa,_e,qt,Za,In,xi=`Some quantization methods require to explicitly set the dtype of the model to a
target dtype. You need to override this method in case you want to make sure that behavior is
preserved`,es,be,Ct,ts,Gn,qi="Override this method if you want to adjust the <code>unexpected_keys</code>.",ns,ve,zt,os,Bn,Ci=`This method is used to potentially check for potential conflicts with arguments that are
passed in <code>from_pretrained</code>. You need to define it for all future quantizers that are integrated with transformers.
If no explicit check are needed, simply return nothing.`,Io,wt,Go,M,Tt,rs,On,zi="HiggsConfig is a configuration class for quantization using the HIGGS method.",as,$e,kt,ss,Sn,wi="Safety checker that arguments are correct - also replaces some NoneType arguments with their default values.",Bo,Lt,Oo,w,Pt,is,jn,Ti="This is wrapper around hqq’s BaseQuantizeConfig.",ds,ye,Dt,ls,Rn,ki="Override from_dict, used in AutoQuantizationConfig.from_dict in quantizers/auto.py",ms,xe,Ht,cs,Wn,Li="Safety checker that arguments are correct - also replaces some NoneType arguments with their default values.",ps,qe,At,fs,Un,Pi=`Removes all attributes from config which correspond to the default config attributes for better readability and
serializes to a Python dictionary.`,So,Qt,jo,O,Mt,gs,Yn,Di=`This is a wrapper class about all possible attributes and features that you can play with a model that has been
loaded using fbgemm fp8 quantization.`,Ro,Et,Wo,T,Ft,us,Jn,Hi=`This is a wrapper class that handles compressed-tensors quantization config options.
It is a wrapper around <code>compressed_tensors.QuantizationConfig</code>`,hs,Ce,Nt,_s,Kn,Ai=`Instantiates a <a href="/docs/transformers/main/en/main_classes/quantization#transformers.CompressedTensorsConfig">CompressedTensorsConfig</a> from a Python dictionary of parameters.
Optionally unwraps any args from the nested quantization_config`,bs,N,Vt,vs,Xn,Qi="Quantization config to be added to config.json",$s,Zn,Mi=`Serializes this instance to a Python dictionary. Returns:
<code>Dict[str, Any]</code>: Dictionary of all the attributes that make up this configuration instance.`,ys,ze,It,xs,eo,Ei=`Removes all attributes from config which correspond to the default config attributes for better readability and
serializes to a Python dictionary.`,Uo,Gt,Yo,k,Bt,qs,we,Ot,Cs,to,Fi="Create configuration from a dictionary.",zs,Te,St,ws,no,Ni="Create the appropriate quantization method based on configuration.",Ts,ke,jt,ks,oo,Vi="Validate configuration and set defaults.",Ls,Le,Rt,Ps,ro,Ii="Convert configuration to a dictionary.",Jo,Wt,Ko,S,Ut,Ds,Pe,Yt,Hs,ao,Gi="Safety checker that arguments are correct",Xo,Jt,Zo,E,Kt,As,so,Bi="This is a wrapper class about <code>spqr</code> parameters. Refer to the original publication for more details.",Qs,De,Xt,Ms,io,Oi="Safety checker that arguments are correct - also replaces some NoneType arguments with their default values.",er,Zt,tr,F,en,Es,lo,Si="FineGrainedFP8Config is a configuration class for fine-grained FP8 quantization used mainly for deepseek models.",Fs,He,tn,Ns,mo,ji="Safety checker that arguments are correct",nr,nn,or,vo,rr;return Qe=new q({props:{title:"Quantization",local:"quantization",headingTag:"h1"}}),R=new Xi({props:{$$slots:{default:[ed]},$$scope:{ctx:$o}}}),Fe=new q({props:{title:"QuantoConfig",local:"transformers.QuantoConfig",headingTag:"h2"}}),Ne=new b({props:{name:"class transformers.QuantoConfig",anchor:"transformers.QuantoConfig",parameters:[{name:"weights",val:" = 'int8'"},{name:"activations",val:" = None"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuantoConfig.weights",description:`<strong>weights</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;int8&quot;</code>) &#x2014;
The target dtype for the weights after quantization. Supported values are (&#x201C;float8&#x201D;,&#x201C;int8&#x201D;,&#x201C;int4&#x201D;,&#x201C;int2&#x201D;)`,name:"weights"},{anchor:"transformers.QuantoConfig.activations",description:`<strong>activations</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The target dtype for the activations after quantization. Supported values are (None,&#x201C;int8&#x201D;,&#x201C;float8&#x201D;)`,name:"activations"},{anchor:"transformers.QuantoConfig.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The list of modules to not quantize, useful for quantizing models that explicitly require to have
some modules left in their original precision (e.g. Whisper encoder, Llava encoder, Mixtral gate layers).`,name:"modules_to_not_convert"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1147"}}),Ve=new b({props:{name:"post_init",anchor:"transformers.QuantoConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1176"}}),Ie=new q({props:{title:"AqlmConfig",local:"transformers.AqlmConfig",headingTag:"h2"}}),Ge=new b({props:{name:"class transformers.AqlmConfig",anchor:"transformers.AqlmConfig",parameters:[{name:"in_group_size",val:": int = 8"},{name:"out_group_size",val:": int = 1"},{name:"num_codebooks",val:": int = 1"},{name:"nbits_per_codebook",val:": int = 16"},{name:"linear_weights_not_to_quantize",val:": typing.Optional[typing.List[str]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AqlmConfig.in_group_size",description:`<strong>in_group_size</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
The group size along the input dimension.`,name:"in_group_size"},{anchor:"transformers.AqlmConfig.out_group_size",description:`<strong>out_group_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The group size along the output dimension. It&#x2019;s recommended to always use 1.`,name:"out_group_size"},{anchor:"transformers.AqlmConfig.num_codebooks",description:`<strong>num_codebooks</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of codebooks for the Additive Quantization procedure.`,name:"num_codebooks"},{anchor:"transformers.AqlmConfig.nbits_per_codebook",description:`<strong>nbits_per_codebook</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of bits encoding a single codebook vector. Codebooks size is 2**nbits_per_codebook.`,name:"nbits_per_codebook"},{anchor:"transformers.AqlmConfig.linear_weights_not_to_quantize",description:`<strong>linear_weights_not_to_quantize</strong> (<code>Optional[List[str]]</code>, <em>optional</em>) &#x2014;
List of full paths of <code>nn.Linear</code> weight parameters that shall not be quantized.`,name:"linear_weights_not_to_quantize"},{anchor:"transformers.AqlmConfig.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional parameters from which to initialize the configuration object.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L991"}}),Be=new b({props:{name:"post_init",anchor:"transformers.AqlmConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1029"}}),Oe=new q({props:{title:"VptqConfig",local:"transformers.VptqConfig",headingTag:"h2"}}),Se=new b({props:{name:"class transformers.VptqConfig",anchor:"transformers.VptqConfig",parameters:[{name:"enable_proxy_error",val:": bool = False"},{name:"config_for_layers",val:": typing.Dict[str, typing.Any] = {}"},{name:"shared_layer_config",val:": typing.Dict[str, typing.Any] = {}"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VptqConfig.enable_proxy_error",description:"<strong>enable_proxy_error</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; calculate proxy error for each layer",name:"enable_proxy_error"},{anchor:"transformers.VptqConfig.config_for_layers",description:"<strong>config_for_layers</strong> (<code>Dict</code>, <em>optional</em>, defaults to <code>{}</code>) &#x2014; quantization params for each layer",name:"config_for_layers"},{anchor:"transformers.VptqConfig.shared_layer_config",description:"<strong>shared_layer_config</strong> (<code>Dict</code>, <em>optional</em>, defaults to <code>{}</code>) &#x2014; shared quantization params among layers",name:"shared_layer_config"},{anchor:"transformers.VptqConfig.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The list of modules to not quantize, useful for quantizing models that explicitly require to have
some modules left in their original precision (e.g. Whisper encoder, Llava encoder, Mixtral gate layers).`,name:"modules_to_not_convert"},{anchor:"transformers.VptqConfig.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional parameters from which to initialize the configuration object.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1106"}}),je=new b({props:{name:"post_init",anchor:"transformers.VptqConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1137"}}),Re=new q({props:{title:"AwqConfig",local:"transformers.AwqConfig",headingTag:"h2"}}),We=new b({props:{name:"class transformers.AwqConfig",anchor:"transformers.AwqConfig",parameters:[{name:"bits",val:": int = 4"},{name:"group_size",val:": int = 128"},{name:"zero_point",val:": bool = True"},{name:"version",val:": AWQLinearVersion = <AWQLinearVersion.GEMM: 'gemm'>"},{name:"backend",val:": AwqBackendPackingMethod = <AwqBackendPackingMethod.AUTOAWQ: 'autoawq'>"},{name:"do_fuse",val:": typing.Optional[bool] = None"},{name:"fuse_max_seq_len",val:": typing.Optional[int] = None"},{name:"modules_to_fuse",val:": typing.Optional[dict] = None"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"exllama_config",val:": typing.Optional[typing.Dict[str, int]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AwqConfig.bits",description:`<strong>bits</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of bits to quantize to.`,name:"bits"},{anchor:"transformers.AwqConfig.group_size",description:`<strong>group_size</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The group size to use for quantization. Recommended value is 128 and -1 uses per-column quantization.`,name:"group_size"},{anchor:"transformers.AwqConfig.zero_point",description:`<strong>zero_point</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use zero point quantization.`,name:"zero_point"},{anchor:"transformers.AwqConfig.version",description:`<strong>version</strong> (<code>AWQLinearVersion</code>, <em>optional</em>, defaults to <code>AWQLinearVersion.GEMM</code>) &#x2014;
The version of the quantization algorithm to use. GEMM is better for big batch_size (e.g. &gt;= 8) otherwise,
GEMV is better (e.g. &lt; 8 ). GEMM models are compatible with Exllama kernels.`,name:"version"},{anchor:"transformers.AwqConfig.backend",description:`<strong>backend</strong> (<code>AwqBackendPackingMethod</code>, <em>optional</em>, defaults to <code>AwqBackendPackingMethod.AUTOAWQ</code>) &#x2014;
The quantization backend. Some models might be quantized using <code>llm-awq</code> backend. This is useful for users
that quantize their own models using <code>llm-awq</code> library.`,name:"backend"},{anchor:"transformers.AwqConfig.do_fuse",description:`<strong>do_fuse</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to fuse attention and mlp layers together for faster inference`,name:"do_fuse"},{anchor:"transformers.AwqConfig.fuse_max_seq_len",description:`<strong>fuse_max_seq_len</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The Maximum sequence length to generate when using fusing.`,name:"fuse_max_seq_len"},{anchor:"transformers.AwqConfig.modules_to_fuse",description:`<strong>modules_to_fuse</strong> (<code>dict</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
Overwrite the natively supported fusing scheme with the one specified by the users.`,name:"modules_to_fuse"},{anchor:"transformers.AwqConfig.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The list of modules to not quantize, useful for quantizing models that explicitly require to have
some modules left in their original precision (e.g. Whisper encoder, Llava encoder, Mixtral gate layers).
Note you cannot quantize directly with transformers, please refer to <code>AutoAWQ</code> documentation for quantizing HF models.`,name:"modules_to_not_convert"},{anchor:"transformers.AwqConfig.exllama_config",description:`<strong>exllama_config</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
You can specify the version of the exllama kernel through the <code>version</code> key, the maximum sequence
length through the <code>max_input_len</code> key, and the maximum batch size through the <code>max_batch_size</code> key.
Defaults to <code>{&quot;version&quot;: 2, &quot;max_input_len&quot;: 2048, &quot;max_batch_size&quot;: 8}</code> if unset.`,name:"exllama_config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L815"}}),Ue=new b({props:{name:"post_init",anchor:"transformers.AwqConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L884"}}),Ye=new q({props:{title:"EetqConfig",local:"transformers.EetqConfig",headingTag:"h2"}}),Je=new b({props:{name:"class transformers.EetqConfig",anchor:"transformers.EetqConfig",parameters:[{name:"weights",val:": str = 'int8'"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.EetqConfig.weights",description:`<strong>weights</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;int8&quot;</code>) &#x2014;
The target dtype for the weights. Supported value is only &#x201C;int8&#x201D;`,name:"weights"},{anchor:"transformers.EetqConfig.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The list of modules to not quantize, useful for quantizing models that explicitly require to have
some modules left in their original precision.`,name:"modules_to_not_convert"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1188"}}),Ke=new b({props:{name:"post_init",anchor:"transformers.EetqConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1213"}}),Xe=new q({props:{title:"GPTQConfig",local:"transformers.GPTQConfig",headingTag:"h2"}}),Ze=new b({props:{name:"class transformers.GPTQConfig",anchor:"transformers.GPTQConfig",parameters:[{name:"bits",val:": int"},{name:"tokenizer",val:": typing.Any = None"},{name:"dataset",val:": typing.Union[typing.List[str], str, NoneType] = None"},{name:"group_size",val:": int = 128"},{name:"damp_percent",val:": float = 0.1"},{name:"desc_act",val:": bool = False"},{name:"sym",val:": bool = True"},{name:"true_sequential",val:": bool = True"},{name:"checkpoint_format",val:": str = 'gptq'"},{name:"meta",val:": typing.Optional[typing.Dict[str, <built-in function any>]] = None"},{name:"backend",val:": typing.Optional[str] = None"},{name:"use_cuda_fp16",val:": bool = False"},{name:"model_seqlen",val:": typing.Optional[int] = None"},{name:"block_name_to_quantize",val:": typing.Optional[str] = None"},{name:"module_name_preceding_first_block",val:": typing.Optional[typing.List[str]] = None"},{name:"batch_size",val:": int = 1"},{name:"pad_token_id",val:": typing.Optional[int] = None"},{name:"use_exllama",val:": typing.Optional[bool] = None"},{name:"max_input_length",val:": typing.Optional[int] = None"},{name:"exllama_config",val:": typing.Optional[typing.Dict[str, typing.Any]] = None"},{name:"cache_block_outputs",val:": bool = True"},{name:"modules_in_block_to_quantize",val:": typing.Optional[typing.List[typing.List[str]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTQConfig.bits",description:`<strong>bits</strong> (<code>int</code>) &#x2014;
The number of bits to quantize to, supported numbers are (2, 3, 4, 8).`,name:"bits"},{anchor:"transformers.GPTQConfig.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <code>PreTrainedTokenizerBase</code>, <em>optional</em>) &#x2014;
The tokenizer used to process the dataset. You can pass either:<ul>
<li>A custom tokenizer object.</li>
<li>A string, the <em>model id</em> of a predefined tokenizer hosted inside a model repo on huggingface.co.</li>
<li>A path to a <em>directory</em> containing vocabulary files required by the tokenizer, for instance saved
using the <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.save_pretrained">save_pretrained()</a> method, e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"tokenizer"},{anchor:"transformers.GPTQConfig.dataset",description:`<strong>dataset</strong> (<code>Union[List[str]]</code>, <em>optional</em>) &#x2014;
The dataset used for quantization. You can provide your own dataset in a list of string or just use the
original datasets used in GPTQ paper [&#x2018;wikitext2&#x2019;,&#x2018;c4&#x2019;,&#x2018;c4-new&#x2019;]`,name:"dataset"},{anchor:"transformers.GPTQConfig.group_size",description:`<strong>group_size</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The group size to use for quantization. Recommended value is 128 and -1 uses per-column quantization.`,name:"group_size"},{anchor:"transformers.GPTQConfig.damp_percent",description:`<strong>damp_percent</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The percent of the average Hessian diagonal to use for dampening. Recommended value is 0.1.`,name:"damp_percent"},{anchor:"transformers.GPTQConfig.desc_act",description:`<strong>desc_act</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to quantize columns in order of decreasing activation size. Setting it to False can significantly
speed up inference but the perplexity may become slightly worse. Also known as act-order.`,name:"desc_act"},{anchor:"transformers.GPTQConfig.sym",description:`<strong>sym</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use symetric quantization.`,name:"sym"},{anchor:"transformers.GPTQConfig.true_sequential",description:`<strong>true_sequential</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to perform sequential quantization even within a single Transformer block. Instead of quantizing
the entire block at once, we perform layer-wise quantization. As a result, each layer undergoes
quantization using inputs that have passed through the previously quantized layers.`,name:"true_sequential"},{anchor:"transformers.GPTQConfig.checkpoint_format",description:`<strong>checkpoint_format</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gptq&quot;</code>) &#x2014;
GPTQ weight format. <code>gptq</code>(v1) is supported by both gptqmodel and auto-gptq. <code>gptq_v2</code> is gptqmodel only.`,name:"checkpoint_format"},{anchor:"transformers.GPTQConfig.meta",description:`<strong>meta</strong> (<code>Dict[str, any]</code>, <em>optional</em>) &#x2014;
Properties, such as tooling:version, that do not directly contributes to quantization or quant inference are stored in meta.
i.e. <code>meta.quantizer</code>: [&#x201C;optimum:<em>version</em>&#x201D;, &#x201C;gptqmodel:<em>version</em>&#x201D;]`,name:"meta"},{anchor:"transformers.GPTQConfig.backend",description:`<strong>backend</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Controls which gptq kernel to be used. Valid values for gptqmodel are <code>auto</code>, <code>auto_trainable</code> and more. For auto-gptq, only
valid value is None and <code>auto_trainable</code>. Ref gptqmodel backends: <a href="https://github.com/ModelCloud/GPTQModel/blob/main/gptqmodel/utils/backend.py" rel="nofollow">https://github.com/ModelCloud/GPTQModel/blob/main/gptqmodel/utils/backend.py</a>`,name:"backend"},{anchor:"transformers.GPTQConfig.use_cuda_fp16",description:`<strong>use_cuda_fp16</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use optimized cuda kernel for fp16 model. Need to have model in fp16. Auto-gptq only.`,name:"use_cuda_fp16"},{anchor:"transformers.GPTQConfig.model_seqlen",description:`<strong>model_seqlen</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The maximum sequence length that the model can take.`,name:"model_seqlen"},{anchor:"transformers.GPTQConfig.block_name_to_quantize",description:`<strong>block_name_to_quantize</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The transformers block name to quantize. If None, we will infer the block name using common patterns (e.g. model.layers)`,name:"block_name_to_quantize"},{anchor:"transformers.GPTQConfig.module_name_preceding_first_block",description:`<strong>module_name_preceding_first_block</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The layers that are preceding the first Transformer block.`,name:"module_name_preceding_first_block"},{anchor:"transformers.GPTQConfig.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The batch size used when processing the dataset`,name:"batch_size"},{anchor:"transformers.GPTQConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The pad token id. Needed to prepare the dataset when <code>batch_size</code> &gt; 1.`,name:"pad_token_id"},{anchor:"transformers.GPTQConfig.use_exllama",description:`<strong>use_exllama</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to use exllama backend. Defaults to <code>True</code> if unset. Only works with <code>bits</code> = 4.`,name:"use_exllama"},{anchor:"transformers.GPTQConfig.max_input_length",description:`<strong>max_input_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The maximum input length. This is needed to initialize a buffer that depends on the maximum expected input
length. It is specific to the exllama backend with act-order.`,name:"max_input_length"},{anchor:"transformers.GPTQConfig.exllama_config",description:`<strong>exllama_config</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The exllama config. You can specify the version of the exllama kernel through the <code>version</code> key. Defaults
to <code>{&quot;version&quot;: 1}</code> if unset.`,name:"exllama_config"},{anchor:"transformers.GPTQConfig.cache_block_outputs",description:`<strong>cache_block_outputs</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to cache block outputs to reuse as inputs for the succeeding block.`,name:"cache_block_outputs"},{anchor:"transformers.GPTQConfig.modules_in_block_to_quantize",description:`<strong>modules_in_block_to_quantize</strong> (<code>List[List[str]]</code>, <em>optional</em>) &#x2014;
List of list of module names to quantize in the specified block. This argument is useful to exclude certain linear modules from being quantized.
The block to quantize can be specified by setting <code>block_name_to_quantize</code>. We will quantize each list sequentially. If not set, we will quantize all linear layers.
Example: <code>modules_in_block_to_quantize =[[&quot;self_attn.k_proj&quot;, &quot;self_attn.v_proj&quot;, &quot;self_attn.q_proj&quot;], [&quot;self_attn.o_proj&quot;]]</code>.
In this example, we will first quantize the q,k,v layers simultaneously since they are independent.
Then, we will quantize <code>self_attn.o_proj</code> layer with the q,k,v layers quantized. This way, we will get
better results since it reflects the real input <code>self_attn.o_proj</code> will get when the model is quantized.`,name:"modules_in_block_to_quantize"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L565"}}),et=new b({props:{name:"from_dict_optimum",anchor:"transformers.GPTQConfig.from_dict_optimum",parameters:[{name:"config_dict",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L800"}}),tt=new b({props:{name:"post_init",anchor:"transformers.GPTQConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L700"}}),nt=new b({props:{name:"to_dict_optimum",anchor:"transformers.GPTQConfig.to_dict_optimum",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L791"}}),ot=new q({props:{title:"BitsAndBytesConfig",local:"transformers.BitsAndBytesConfig",headingTag:"h2"}}),rt=new b({props:{name:"class transformers.BitsAndBytesConfig",anchor:"transformers.BitsAndBytesConfig",parameters:[{name:"load_in_8bit",val:" = False"},{name:"load_in_4bit",val:" = False"},{name:"llm_int8_threshold",val:" = 6.0"},{name:"llm_int8_skip_modules",val:" = None"},{name:"llm_int8_enable_fp32_cpu_offload",val:" = False"},{name:"llm_int8_has_fp16_weight",val:" = False"},{name:"bnb_4bit_compute_dtype",val:" = None"},{name:"bnb_4bit_quant_type",val:" = 'fp4'"},{name:"bnb_4bit_use_double_quant",val:" = False"},{name:"bnb_4bit_quant_storage",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BitsAndBytesConfig.load_in_8bit",description:`<strong>load_in_8bit</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
This flag is used to enable 8-bit quantization with LLM.int8().`,name:"load_in_8bit"},{anchor:"transformers.BitsAndBytesConfig.load_in_4bit",description:`<strong>load_in_4bit</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
This flag is used to enable 4-bit quantization by replacing the Linear layers with FP4/NF4 layers from
<code>bitsandbytes</code>.`,name:"load_in_4bit"},{anchor:"transformers.BitsAndBytesConfig.llm_int8_threshold",description:`<strong>llm_int8_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 6.0) &#x2014;
This corresponds to the outlier threshold for outlier detection as described in <code>LLM.int8() : 8-bit Matrix Multiplication for Transformers at Scale</code> paper: <a href="https://arxiv.org/abs/2208.07339" rel="nofollow">https://arxiv.org/abs/2208.07339</a> Any hidden states value
that is above this threshold will be considered an outlier and the operation on those values will be done
in fp16. Values are usually normally distributed, that is, most values are in the range [-3.5, 3.5], but
there are some exceptional systematic outliers that are very differently distributed for large models.
These outliers are often in the interval [-60, -6] or [6, 60]. Int8 quantization works well for values of
magnitude ~5, but beyond that, there is a significant performance penalty. A good default threshold is 6,
but a lower threshold might be needed for more unstable models (small models, fine-tuning).`,name:"llm_int8_threshold"},{anchor:"transformers.BitsAndBytesConfig.llm_int8_skip_modules",description:`<strong>llm_int8_skip_modules</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
An explicit list of the modules that we do not want to convert in 8-bit. This is useful for models such as
Jukebox that has several heads in different places and not necessarily at the last position. For example
for <code>CausalLM</code> models, the last <code>lm_head</code> is kept in its original <code>dtype</code>.`,name:"llm_int8_skip_modules"},{anchor:"transformers.BitsAndBytesConfig.llm_int8_enable_fp32_cpu_offload",description:`<strong>llm_int8_enable_fp32_cpu_offload</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
This flag is used for advanced use cases and users that are aware of this feature. If you want to split
your model in different parts and run some parts in int8 on GPU and some parts in fp32 on CPU, you can use
this flag. This is useful for offloading large models such as <code>google/flan-t5-xxl</code>. Note that the int8
operations will not be run on CPU.`,name:"llm_int8_enable_fp32_cpu_offload"},{anchor:"transformers.BitsAndBytesConfig.llm_int8_has_fp16_weight",description:`<strong>llm_int8_has_fp16_weight</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
This flag runs LLM.int8() with 16-bit main weights. This is useful for fine-tuning as the weights do not
have to be converted back and forth for the backward pass.`,name:"llm_int8_has_fp16_weight"},{anchor:"transformers.BitsAndBytesConfig.bnb_4bit_compute_dtype",description:`<strong>bnb_4bit_compute_dtype</strong> (<code>torch.dtype</code> or str, <em>optional</em>, defaults to <code>torch.float32</code>) &#x2014;
This sets the computational type which might be different than the input type. For example, inputs might be
fp32, but computation can be set to bf16 for speedups.`,name:"bnb_4bit_compute_dtype"},{anchor:"transformers.BitsAndBytesConfig.bnb_4bit_quant_type",description:`<strong>bnb_4bit_quant_type</strong> (<code>str</code>,  <em>optional</em>, defaults to <code>&quot;fp4&quot;</code>) &#x2014;
This sets the quantization data type in the bnb.nn.Linear4Bit layers. Options are FP4 and NF4 data types
which are specified by <code>fp4</code> or <code>nf4</code>.`,name:"bnb_4bit_quant_type"},{anchor:"transformers.BitsAndBytesConfig.bnb_4bit_use_double_quant",description:`<strong>bnb_4bit_use_double_quant</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
This flag is used for nested quantization where the quantization constants from the first quantization are
quantized again.`,name:"bnb_4bit_use_double_quant"},{anchor:"transformers.BitsAndBytesConfig.bnb_4bit_quant_storage",description:`<strong>bnb_4bit_quant_storage</strong> (<code>torch.dtype</code> or str, <em>optional</em>, defaults to <code>torch.uint8</code>) &#x2014;
This sets the storage type to pack the quanitzed 4-bit prarams.`,name:"bnb_4bit_quant_storage"},{anchor:"transformers.BitsAndBytesConfig.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional parameters from which to initialize the configuration object.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L329"}}),at=new b({props:{name:"is_quantizable",anchor:"transformers.BitsAndBytesConfig.is_quantizable",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L500"}}),st=new b({props:{name:"post_init",anchor:"transformers.BitsAndBytesConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L463"}}),it=new b({props:{name:"quantization_method",anchor:"transformers.BitsAndBytesConfig.quantization_method",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L506"}}),dt=new b({props:{name:"to_diff_dict",anchor:"transformers.BitsAndBytesConfig.to_diff_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L537",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Dictionary of all the attributes that make up this configuration instance,</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, Any]</code></p>
`}}),lt=new q({props:{title:"HfQuantizer",local:"transformers.quantizers.HfQuantizer",headingTag:"h2"}}),mt=new b({props:{name:"class transformers.quantizers.HfQuantizer",anchor:"transformers.quantizers.HfQuantizer",parameters:[{name:"quantization_config",val:": QuantizationConfigMixin"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L28"}}),ct=new b({props:{name:"adjust_max_memory",anchor:"transformers.quantizers.HfQuantizer.adjust_max_memory",parameters:[{name:"max_memory",val:": typing.Dict[str, typing.Union[int, str]]"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L164"}}),pt=new b({props:{name:"adjust_target_dtype",anchor:"transformers.quantizers.HfQuantizer.adjust_target_dtype",parameters:[{name:"torch_dtype",val:": torch.dtype"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.adjust_target_dtype.torch_dtype",description:`<strong>torch_dtype</strong> (<code>torch.dtype</code>, <em>optional</em>) &#x2014;
The torch_dtype that is used to compute the device_map.`,name:"torch_dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L90"}}),ft=new b({props:{name:"check_quantized_param",anchor:"transformers.quantizers.HfQuantizer.check_quantized_param",parameters:[{name:"model",val:": PreTrainedModel"},{name:"param_value",val:": torch.Tensor"},{name:"param_name",val:": str"},{name:"state_dict",val:": typing.Dict[str, typing.Any]"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L168"}}),gt=new b({props:{name:"create_quantized_param",anchor:"transformers.quantizers.HfQuantizer.create_quantized_param",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L183"}}),ut=new b({props:{name:"dequantize",anchor:"transformers.quantizers.HfQuantizer.dequantize",parameters:[{name:"model",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L230"}}),ht=new b({props:{name:"get_special_dtypes_update",anchor:"transformers.quantizers.HfQuantizer.get_special_dtypes_update",parameters:[{name:"model",val:""},{name:"torch_dtype",val:": torch.dtype"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.get_special_dtypes_update.model",description:`<strong>model</strong> (<code>~transformers.PreTrainedModel</code>) &#x2014;
The model to quantize`,name:"model"},{anchor:"transformers.quantizers.HfQuantizer.get_special_dtypes_update.torch_dtype",description:`<strong>torch_dtype</strong> (<code>torch.dtype</code>) &#x2014;
The dtype passed in <code>from_pretrained</code> method.`,name:"torch_dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L145"}}),_t=new b({props:{name:"postprocess_model",anchor:"transformers.quantizers.HfQuantizer.postprocess_model",parameters:[{name:"model",val:": PreTrainedModel"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.postprocess_model.model",description:`<strong>model</strong> (<code>~transformers.PreTrainedModel</code>) &#x2014;
The model to quantize`,name:"model"},{anchor:"transformers.quantizers.HfQuantizer.postprocess_model.kwargs",description:`<strong>kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
The keyword arguments that are passed along <code>_process_model_after_weight_loading</code>.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L217"}}),bt=new b({props:{name:"preprocess_model",anchor:"transformers.quantizers.HfQuantizer.preprocess_model",parameters:[{name:"model",val:": PreTrainedModel"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.preprocess_model.model",description:`<strong>model</strong> (<code>~transformers.PreTrainedModel</code>) &#x2014;
The model to quantize`,name:"model"},{anchor:"transformers.quantizers.HfQuantizer.preprocess_model.kwargs",description:`<strong>kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
The keyword arguments that are passed along <code>_process_model_before_weight_loading</code>.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L201"}}),vt=new b({props:{name:"update_device_map",anchor:"transformers.quantizers.HfQuantizer.update_device_map",parameters:[{name:"device_map",val:": typing.Optional[typing.Dict[str, typing.Any]]"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.update_device_map.device_map",description:`<strong>device_map</strong> (<code>Union[dict, str]</code>, <em>optional</em>) &#x2014;
The device_map that is passed through the <code>from_pretrained</code> method.`,name:"device_map"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L78"}}),$t=new b({props:{name:"update_expected_keys",anchor:"transformers.quantizers.HfQuantizer.update_expected_keys",parameters:[{name:"model",val:""},{name:"expected_keys",val:": typing.List[str]"},{name:"loaded_keys",val:": typing.List[str]"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.update_expected_keys.expected_keys",description:`<strong>expected_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of the expected keys in the initialized model.`,name:"expected_keys"},{anchor:"transformers.quantizers.HfQuantizer.update_expected_keys.loaded_keys",description:`<strong>loaded_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of the loaded keys in the checkpoint.`,name:"loaded_keys"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L133"}}),yt=new b({props:{name:"update_missing_keys",anchor:"transformers.quantizers.HfQuantizer.update_missing_keys",parameters:[{name:"model",val:""},{name:"missing_keys",val:": typing.List[str]"},{name:"prefix",val:": str"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.update_missing_keys.missing_keys",description:`<strong>missing_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of missing keys in the checkpoint compared to the state dict of the model`,name:"missing_keys"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L102"}}),xt=new b({props:{name:"update_missing_keys_after_loading",anchor:"transformers.quantizers.HfQuantizer.update_missing_keys_after_loading",parameters:[{name:"model",val:""},{name:"missing_keys",val:": typing.List[str]"},{name:"prefix",val:": str"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.update_missing_keys_after_loading.missing_keys",description:`<strong>missing_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of missing keys in the checkpoint compared to the state dict of the model`,name:"missing_keys"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L122"}}),qt=new b({props:{name:"update_torch_dtype",anchor:"transformers.quantizers.HfQuantizer.update_torch_dtype",parameters:[{name:"torch_dtype",val:": torch.dtype"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.update_torch_dtype.torch_dtype",description:`<strong>torch_dtype</strong> (<code>torch.dtype</code>) &#x2014;
The input dtype that is passed in <code>from_pretrained</code>`,name:"torch_dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L66"}}),Ct=new b({props:{name:"update_unexpected_keys",anchor:"transformers.quantizers.HfQuantizer.update_unexpected_keys",parameters:[{name:"model",val:""},{name:"unexpected_keys",val:": typing.List[str]"},{name:"prefix",val:": str"}],parametersDescription:[{anchor:"transformers.quantizers.HfQuantizer.update_unexpected_keys.unexpected_keys",description:`<strong>unexpected_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of unexpected keys in the checkpoint compared to the state dict of the model`,name:"unexpected_keys"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L112"}}),zt=new b({props:{name:"validate_environment",anchor:"transformers.quantizers.HfQuantizer.validate_environment",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/quantizers/base.py#L193"}}),wt=new q({props:{title:"HiggsConfig",local:"transformers.HiggsConfig",headingTag:"h2"}}),Tt=new b({props:{name:"class transformers.HiggsConfig",anchor:"transformers.HiggsConfig",parameters:[{name:"bits",val:": int = 4"},{name:"p",val:": int = 2"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List[str]] = None"},{name:"hadamard_size",val:": int = 512"},{name:"group_size",val:": int = 256"},{name:"tune_metadata",val:": typing.Optional[typing.Dict[str, typing.Any]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.HiggsConfig.bits",description:`<strong>bits</strong> (int, <em>optional</em>, defaults to 4) &#x2014;
Number of bits to use for quantization. Can be 2, 3 or 4. Default is 4.`,name:"bits"},{anchor:"transformers.HiggsConfig.p",description:`<strong>p</strong> (int, <em>optional</em>, defaults to 2) &#x2014;
Quantization grid dimension. 1 and 2 are supported. 2 is always better in practice. Default is 2.`,name:"p"},{anchor:"transformers.HiggsConfig.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>, default to [&#x201C;lm_head&#x201D;]) &#x2014;
List of linear layers that should not be quantized.`,name:"modules_to_not_convert"},{anchor:"transformers.HiggsConfig.hadamard_size",description:`<strong>hadamard_size</strong> (int, <em>optional</em>, defaults to 512) &#x2014;
Hadamard size for the HIGGS method. Default is 512. Input dimension of matrices is padded to this value. Decreasing this below 512 will reduce the quality of the quantization.`,name:"hadamard_size"},{anchor:"transformers.HiggsConfig.group_size",description:`<strong>group_size</strong> (int, <em>optional</em>, defaults to 256) &#x2014;
Group size for the HIGGS method. Can be 64, 128 or 256. Decreasing it barely affects the performance. Default is 256. Must be a divisor of hadamard_size.`,name:"group_size"},{anchor:"transformers.HiggsConfig.tune_metadata",description:`<strong>tune_metadata</strong> (&#x2018;dict&#x2019;, <em>optional</em>, defaults to {}) &#x2014;
Module-wise metadata (gemm block shapes, GPU metadata, etc.) for saving the kernel tuning results. Default is an empty dictionary. Is set automatically during tuning.`,name:"tune_metadata"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1400"}}),kt=new b({props:{name:"post_init",anchor:"transformers.HiggsConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1442"}}),Lt=new q({props:{title:"HqqConfig",local:"transformers.HqqConfig",headingTag:"h2"}}),Pt=new b({props:{name:"class transformers.HqqConfig",anchor:"transformers.HqqConfig",parameters:[{name:"nbits",val:": int = 4"},{name:"group_size",val:": int = 64"},{name:"view_as_float",val:": bool = False"},{name:"axis",val:": typing.Optional[int] = None"},{name:"dynamic_config",val:": typing.Optional[dict] = None"},{name:"skip_modules",val:": typing.List[str] = ['lm_head']"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.HqqConfig.nbits",description:`<strong>nbits</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of bits. Supported values are (8, 4, 3, 2, 1).`,name:"nbits"},{anchor:"transformers.HqqConfig.group_size",description:`<strong>group_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Group-size value. Supported values are any value that is divisble by weight.shape[axis]).`,name:"group_size"},{anchor:"transformers.HqqConfig.view_as_float",description:`<strong>view_as_float</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
View the quantized weight as float (used in distributed training) if set to <code>True</code>.`,name:"view_as_float"},{anchor:"transformers.HqqConfig.axis",description:`<strong>axis</strong> (<code>Optional[int]</code>, <em>optional</em>) &#x2014;
Axis along which grouping is performed. Supported values are 0 or 1.`,name:"axis"},{anchor:"transformers.HqqConfig.dynamic_config",description:`<strong>dynamic_config</strong> (dict, <em>optional</em>) &#x2014;
Parameters for dynamic configuration. The key is the name tag of the layer and the value is a quantization config.
If set, each layer specified by its id will use its dedicated quantization configuration.`,name:"dynamic_config"},{anchor:"transformers.HqqConfig.skip_modules",description:`<strong>skip_modules</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&apos;lm_head&apos;]</code>) &#x2014;
List of <code>nn.Linear</code> layers to skip.`,name:"skip_modules"},{anchor:"transformers.HqqConfig.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional parameters from which to initialize the configuration object.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L204"}}),Dt=new b({props:{name:"from_dict",anchor:"transformers.HqqConfig.from_dict",parameters:[{name:"config",val:": typing.Dict[str, typing.Any]"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L282"}}),Ht=new b({props:{name:"post_init",anchor:"transformers.HqqConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L276"}}),At=new b({props:{name:"to_diff_dict",anchor:"transformers.HqqConfig.to_diff_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L307",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Dictionary of all the attributes that make up this configuration instance,</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, Any]</code></p>
`}}),Qt=new q({props:{title:"FbgemmFp8Config",local:"transformers.FbgemmFp8Config",headingTag:"h2"}}),Mt=new b({props:{name:"class transformers.FbgemmFp8Config",anchor:"transformers.FbgemmFp8Config",parameters:[{name:"activation_scale_ub",val:": float = 1200.0"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FbgemmFp8Config.activation_scale_ub",description:`<strong>activation_scale_ub</strong> (<code>float</code>, <em>optional</em>, defaults to 1200.0) &#x2014;
The activation scale upper bound. This is used when quantizing the input activation.`,name:"activation_scale_ub"},{anchor:"transformers.FbgemmFp8Config.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The list of modules to not quantize, useful for quantizing models that explicitly require to have
some modules left in their original precision.`,name:"modules_to_not_convert"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1369"}}),Et=new q({props:{title:"CompressedTensorsConfig",local:"transformers.CompressedTensorsConfig",headingTag:"h2"}}),Ft=new b({props:{name:"class transformers.CompressedTensorsConfig",anchor:"transformers.CompressedTensorsConfig",parameters:[{name:"config_groups",val:": typing.Dict[str, typing.Union[ForwardRef('QuantizationScheme'), typing.List[str]]] = None"},{name:"format",val:": str = 'dense'"},{name:"quantization_status",val:": QuantizationStatus = 'initialized'"},{name:"kv_cache_scheme",val:": typing.Optional[ForwardRef('QuantizationArgs')] = None"},{name:"global_compression_ratio",val:": typing.Optional[float] = None"},{name:"ignore",val:": typing.Optional[typing.List[str]] = None"},{name:"sparsity_config",val:": typing.Dict[str, typing.Any] = None"},{name:"quant_method",val:": str = 'compressed-tensors'"},{name:"run_compressed",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CompressedTensorsConfig.config_groups",description:`<strong>config_groups</strong> (<code>typing.Dict[str, typing.Union[ForwardRef(&apos;QuantizationScheme&apos;), typing.List[str]]]</code>, <em>optional</em>) &#x2014;
dictionary mapping group name to a quantization scheme definition`,name:"config_groups"},{anchor:"transformers.CompressedTensorsConfig.format",description:`<strong>format</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;dense&quot;</code>) &#x2014;
format the model is represented as. Set <code>run_compressed</code> True to execute model as the
compressed format if not <code>dense</code>`,name:"format"},{anchor:"transformers.CompressedTensorsConfig.quantization_status",description:`<strong>quantization_status</strong> (<code>QuantizationStatus</code>, <em>optional</em>, defaults to <code>&quot;initialized&quot;</code>) &#x2014;
status of model in the quantization lifecycle, ie &#x2018;initialized&#x2019;, &#x2018;calibration&#x2019;, &#x2018;frozen&#x2019;`,name:"quantization_status"},{anchor:"transformers.CompressedTensorsConfig.kv_cache_scheme",description:`<strong>kv_cache_scheme</strong> (<code>typing.Union[QuantizationArgs, NoneType]</code>, <em>optional</em>) &#x2014;
specifies quantization of the kv cache. If None, kv cache is not quantized.`,name:"kv_cache_scheme"},{anchor:"transformers.CompressedTensorsConfig.global_compression_ratio",description:`<strong>global_compression_ratio</strong> (<code>typing.Union[float, NoneType]</code>, <em>optional</em>) &#x2014;
0-1 float percentage of model compression`,name:"global_compression_ratio"},{anchor:"transformers.CompressedTensorsConfig.ignore",description:`<strong>ignore</strong> (<code>typing.Union[typing.List[str], NoneType]</code>, <em>optional</em>) &#x2014;
layer names or types to not quantize, supports regex prefixed by &#x2018;re:&#x2019;`,name:"ignore"},{anchor:"transformers.CompressedTensorsConfig.sparsity_config",description:`<strong>sparsity_config</strong> (<code>typing.Dict[str, typing.Any]</code>, <em>optional</em>) &#x2014;
configuration for sparsity compression`,name:"sparsity_config"},{anchor:"transformers.CompressedTensorsConfig.quant_method",description:`<strong>quant_method</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;compressed-tensors&quot;</code>) &#x2014;
do not override, should be compressed-tensors`,name:"quant_method"},{anchor:"transformers.CompressedTensorsConfig.run_compressed",description:`<strong>run_compressed</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014; alter submodules (usually linear) in order to
emulate compressed model execution if True, otherwise use default submodule`,name:"run_compressed"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1222"}}),Nt=new b({props:{name:"from_dict",anchor:"transformers.CompressedTensorsConfig.from_dict",parameters:[{name:"config_dict",val:""},{name:"return_unused_kwargs",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CompressedTensorsConfig.from_dict.config_dict",description:`<strong>config_dict</strong> (<code>Dict[str, Any]</code>) &#x2014;
Dictionary that will be used to instantiate the configuration object.`,name:"config_dict"},{anchor:"transformers.CompressedTensorsConfig.from_dict.return_unused_kwargs",description:`<strong>return_unused_kwargs</strong> (<code>bool</code>,<em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return a list of unused keyword arguments. Used for <code>from_pretrained</code> method in
<code>PreTrainedModel</code>.`,name:"return_unused_kwargs"},{anchor:"transformers.CompressedTensorsConfig.from_dict.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Additional parameters from which to initialize the configuration object.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1296",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The configuration object instantiated from those parameters.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>QuantizationConfigMixin</code></p>
`}}),Vt=new b({props:{name:"to_dict",anchor:"transformers.CompressedTensorsConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1324"}}),It=new b({props:{name:"to_diff_dict",anchor:"transformers.CompressedTensorsConfig.to_diff_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1344",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Dictionary of all the attributes that make up this configuration instance,</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, Any]</code></p>
`}}),Gt=new q({props:{title:"TorchAoConfig",local:"transformers.TorchAoConfig",headingTag:"h2"}}),Bt=new b({props:{name:"class transformers.TorchAoConfig",anchor:"transformers.TorchAoConfig",parameters:[{name:"quant_type",val:": typing.Union[str, ForwardRef('AOBaseConfig')]"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1456"}}),Ot=new b({props:{name:"from_dict",anchor:"transformers.TorchAoConfig.from_dict",parameters:[{name:"config_dict",val:""},{name:"return_unused_kwargs",val:" = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1632"}}),St=new b({props:{name:"get_quantize_config",anchor:"transformers.TorchAoConfig.get_quantize_config",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1595"}}),jt=new b({props:{name:"post_init",anchor:"transformers.TorchAoConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1533"}}),Rt=new b({props:{name:"to_dict",anchor:"transformers.TorchAoConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1614"}}),Wt=new q({props:{title:"BitNetConfig",local:"transformers.BitNetConfig",headingTag:"h2"}}),Ut=new b({props:{name:"class transformers.BitNetConfig",anchor:"transformers.BitNetConfig",parameters:[{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1656"}}),Yt=new b({props:{name:"post_init",anchor:"transformers.BitNetConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1667"}}),Jt=new q({props:{title:"SpQRConfig",local:"transformers.SpQRConfig",headingTag:"h2"}}),Kt=new b({props:{name:"class transformers.SpQRConfig",anchor:"transformers.SpQRConfig",parameters:[{name:"bits",val:": int = 3"},{name:"beta1",val:": int = 16"},{name:"beta2",val:": int = 16"},{name:"shapes",val:": typing.Optional[typing.Dict[str, int]] = None"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List[str]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SpQRConfig.bits",description:`<strong>bits</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Specifies the bit count for the weights and first order zero-points and scales.
Currently only bits = 3 is supported.`,name:"bits"},{anchor:"transformers.SpQRConfig.beta1",description:`<strong>beta1</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
SpQR tile width. Currently only beta1 = 16 is supported.`,name:"beta1"},{anchor:"transformers.SpQRConfig.beta2",description:`<strong>beta2</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
SpQR tile height. Currently only beta2 = 16 is supported.`,name:"beta2"},{anchor:"transformers.SpQRConfig.shapes",description:`<strong>shapes</strong> (<code>Optional</code>, <em>optional</em>) &#x2014;
A dictionary holding the shape of each object. We need this because it&#x2019;s impossible
to deduce the exact size of the parameters just from bits, beta1, beta2.`,name:"shapes"},{anchor:"transformers.SpQRConfig.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>Optional[List[str]]</code>, <em>optional</em>) &#x2014;
Optionally, provides a list of full paths of <code>nn.Linear</code> weight parameters that shall not be quantized.
Defaults to None.`,name:"modules_to_not_convert"},{anchor:"transformers.SpQRConfig.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional parameters from which to initialize the configuration object.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1674"}}),Xt=new b({props:{name:"post_init",anchor:"transformers.SpQRConfig.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1716"}}),Zt=new q({props:{title:"FineGrainedFP8Config",local:"transformers.FineGrainedFP8Config",headingTag:"h2"}}),en=new b({props:{name:"class transformers.FineGrainedFP8Config",anchor:"transformers.FineGrainedFP8Config",parameters:[{name:"activation_scheme",val:": str = 'dynamic'"},{name:"weight_block_size",val:": typing.Tuple[int, int] = (128, 128)"},{name:"modules_to_not_convert",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FineGrainedFP8Config.activation_scheme",description:`<strong>activation_scheme</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;dynamic&quot;</code>) &#x2014;
The scheme used for activation, the defaults and only support scheme for now is &#x201C;dynamic&#x201D;.`,name:"activation_scheme"},{anchor:"transformers.FineGrainedFP8Config.weight_block_size",description:`<strong>weight_block_size</strong> (<code>typing.Tuple[int, int]</code>, <em>optional</em>, defaults to <code>(128, 128)</code>) &#x2014;
The size of the weight blocks for quantization, default is (128, 128).`,name:"weight_block_size"},{anchor:"transformers.FineGrainedFP8Config.modules_to_not_convert",description:`<strong>modules_to_not_convert</strong> (<code>list</code>, <em>optional</em>) &#x2014;
A list of module names that should not be converted during quantization.`,name:"modules_to_not_convert"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1737"}}),tn=new b({props:{name:"post_init",anchor:"transformers.FineGrainedFP8Config.post_init",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/quantization_config.py#L1764"}}),nn=new Zi({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/quantization.md"}}),{c(){x=r("meta"),Ae=n(),L=r("p"),on=n(),d(Qe.$$.fragment),yo=n(),Me=r("p"),Me.textContent=Vs,xo=n(),Ee=r("p"),Ee.innerHTML=Is,qo=n(),d(R.$$.fragment),Co=n(),d(Fe.$$.fragment),zo=n(),P=r("div"),d(Ne.$$.fragment),Wr=n(),rn=r("p"),rn.innerHTML=Gs,Ur=n(),W=r("div"),d(Ve.$$.fragment),Yr=n(),an=r("p"),an.textContent=Bs,wo=n(),d(Ie.$$.fragment),To=n(),D=r("div"),d(Ge.$$.fragment),Jr=n(),sn=r("p"),sn.innerHTML=Os,Kr=n(),U=r("div"),d(Be.$$.fragment),Xr=n(),dn=r("p"),dn.textContent=Ss,ko=n(),d(Oe.$$.fragment),Lo=n(),H=r("div"),d(Se.$$.fragment),Zr=n(),ln=r("p"),ln.innerHTML=js,ea=n(),Y=r("div"),d(je.$$.fragment),ta=n(),mn=r("p"),mn.textContent=Rs,Po=n(),d(Re.$$.fragment),Do=n(),A=r("div"),d(We.$$.fragment),na=n(),cn=r("p"),cn.innerHTML=Ws,oa=n(),J=r("div"),d(Ue.$$.fragment),ra=n(),pn=r("p"),pn.textContent=Us,Ho=n(),d(Ye.$$.fragment),Ao=n(),Q=r("div"),d(Je.$$.fragment),aa=n(),fn=r("p"),fn.innerHTML=Ys,sa=n(),K=r("div"),d(Ke.$$.fragment),ia=n(),gn=r("p"),gn.textContent=Js,Qo=n(),d(Xe.$$.fragment),Mo=n(),z=r("div"),d(Ze.$$.fragment),da=n(),un=r("p"),un.innerHTML=Ks,la=n(),X=r("div"),d(et.$$.fragment),ma=n(),hn=r("p"),hn.textContent=Xs,ca=n(),Z=r("div"),d(tt.$$.fragment),pa=n(),_n=r("p"),_n.textContent=Zs,fa=n(),ee=r("div"),d(nt.$$.fragment),ga=n(),bn=r("p"),bn.textContent=ei,Eo=n(),d(ot.$$.fragment),Fo=n(),y=r("div"),d(rt.$$.fragment),ua=n(),vn=r("p"),vn.innerHTML=ti,ha=n(),$n=r("p"),$n.innerHTML=ni,_a=n(),yn=r("p"),yn.innerHTML=oi,ba=n(),te=r("div"),d(at.$$.fragment),va=n(),xn=r("p"),xn.innerHTML=ri,$a=n(),ne=r("div"),d(st.$$.fragment),ya=n(),qn=r("p"),qn.textContent=ai,xa=n(),oe=r("div"),d(it.$$.fragment),qa=n(),Cn=r("p"),Cn.innerHTML=si,Ca=n(),re=r("div"),d(dt.$$.fragment),za=n(),zn=r("p"),zn.textContent=ii,No=n(),d(lt.$$.fragment),Vo=n(),v=r("div"),d(mt.$$.fragment),wa=n(),wn=r("p"),wn.textContent=di,Ta=n(),Tn=r("p"),Tn.innerHTML=li,ka=n(),ae=r("div"),d(ct.$$.fragment),La=n(),kn=r("p"),kn.textContent=mi,Pa=n(),se=r("div"),d(pt.$$.fragment),Da=n(),Ln=r("p"),Ln.innerHTML=ci,Ha=n(),ie=r("div"),d(ft.$$.fragment),Aa=n(),Pn=r("p"),Pn.textContent=pi,Qa=n(),de=r("div"),d(gt.$$.fragment),Ma=n(),Dn=r("p"),Dn.textContent=fi,Ea=n(),le=r("div"),d(ut.$$.fragment),Fa=n(),Hn=r("p"),Hn.textContent=gi,Na=n(),me=r("div"),d(ht.$$.fragment),Va=n(),An=r("p"),An.innerHTML=ui,Ia=n(),ce=r("div"),d(_t.$$.fragment),Ga=n(),Qn=r("p"),Qn.innerHTML=hi,Ba=n(),pe=r("div"),d(bt.$$.fragment),Oa=n(),Mn=r("p"),Mn.innerHTML=_i,Sa=n(),fe=r("div"),d(vt.$$.fragment),ja=n(),En=r("p"),En.innerHTML=bi,Ra=n(),ge=r("div"),d($t.$$.fragment),Wa=n(),Fn=r("p"),Fn.innerHTML=vi,Ua=n(),ue=r("div"),d(yt.$$.fragment),Ya=n(),Nn=r("p"),Nn.innerHTML=$i,Ja=n(),he=r("div"),d(xt.$$.fragment),Ka=n(),Vn=r("p"),Vn.innerHTML=yi,Xa=n(),_e=r("div"),d(qt.$$.fragment),Za=n(),In=r("p"),In.textContent=xi,es=n(),be=r("div"),d(Ct.$$.fragment),ts=n(),Gn=r("p"),Gn.innerHTML=qi,ns=n(),ve=r("div"),d(zt.$$.fragment),os=n(),Bn=r("p"),Bn.innerHTML=Ci,Io=n(),d(wt.$$.fragment),Go=n(),M=r("div"),d(Tt.$$.fragment),rs=n(),On=r("p"),On.textContent=zi,as=n(),$e=r("div"),d(kt.$$.fragment),ss=n(),Sn=r("p"),Sn.textContent=wi,Bo=n(),d(Lt.$$.fragment),Oo=n(),w=r("div"),d(Pt.$$.fragment),is=n(),jn=r("p"),jn.textContent=Ti,ds=n(),ye=r("div"),d(Dt.$$.fragment),ls=n(),Rn=r("p"),Rn.textContent=ki,ms=n(),xe=r("div"),d(Ht.$$.fragment),cs=n(),Wn=r("p"),Wn.textContent=Li,ps=n(),qe=r("div"),d(At.$$.fragment),fs=n(),Un=r("p"),Un.textContent=Pi,So=n(),d(Qt.$$.fragment),jo=n(),O=r("div"),d(Mt.$$.fragment),gs=n(),Yn=r("p"),Yn.textContent=Di,Ro=n(),d(Et.$$.fragment),Wo=n(),T=r("div"),d(Ft.$$.fragment),us=n(),Jn=r("p"),Jn.innerHTML=Hi,hs=n(),Ce=r("div"),d(Nt.$$.fragment),_s=n(),Kn=r("p"),Kn.innerHTML=Ai,bs=n(),N=r("div"),d(Vt.$$.fragment),vs=n(),Xn=r("p"),Xn.textContent=Qi,$s=n(),Zn=r("p"),Zn.innerHTML=Mi,ys=n(),ze=r("div"),d(It.$$.fragment),xs=n(),eo=r("p"),eo.textContent=Ei,Uo=n(),d(Gt.$$.fragment),Yo=n(),k=r("div"),d(Bt.$$.fragment),qs=n(),we=r("div"),d(Ot.$$.fragment),Cs=n(),to=r("p"),to.textContent=Fi,zs=n(),Te=r("div"),d(St.$$.fragment),ws=n(),no=r("p"),no.textContent=Ni,Ts=n(),ke=r("div"),d(jt.$$.fragment),ks=n(),oo=r("p"),oo.textContent=Vi,Ls=n(),Le=r("div"),d(Rt.$$.fragment),Ps=n(),ro=r("p"),ro.textContent=Ii,Jo=n(),d(Wt.$$.fragment),Ko=n(),S=r("div"),d(Ut.$$.fragment),Ds=n(),Pe=r("div"),d(Yt.$$.fragment),Hs=n(),ao=r("p"),ao.textContent=Gi,Xo=n(),d(Jt.$$.fragment),Zo=n(),E=r("div"),d(Kt.$$.fragment),As=n(),so=r("p"),so.innerHTML=Bi,Qs=n(),De=r("div"),d(Xt.$$.fragment),Ms=n(),io=r("p"),io.textContent=Oi,er=n(),d(Zt.$$.fragment),tr=n(),F=r("div"),d(en.$$.fragment),Es=n(),lo=r("p"),lo.textContent=Si,Fs=n(),He=r("div"),d(tn.$$.fragment),Ns=n(),mo=r("p"),mo.textContent=ji,nr=n(),d(nn.$$.fragment),or=n(),vo=r("p"),this.h()},l(e){const i=Ki("svelte-u9bgzb",document.head);x=a(i,"META",{name:!0,content:!0}),i.forEach(s),Ae=o(e),L=a(e,"P",{}),h(L).forEach(s),on=o(e),l(Qe.$$.fragment,e),yo=o(e),Me=a(e,"P",{"data-svelte-h":!0}),g(Me)!=="svelte-1hsjm7z"&&(Me.textContent=Vs),xo=o(e),Ee=a(e,"P",{"data-svelte-h":!0}),g(Ee)!=="svelte-bnel0f"&&(Ee.innerHTML=Is),qo=o(e),l(R.$$.fragment,e),Co=o(e),l(Fe.$$.fragment,e),zo=o(e),P=a(e,"DIV",{class:!0});var j=h(P);l(Ne.$$.fragment,j),Wr=o(j),rn=a(j,"P",{"data-svelte-h":!0}),g(rn)!=="svelte-b8v0f"&&(rn.innerHTML=Gs),Ur=o(j),W=a(j,"DIV",{class:!0});var ar=h(W);l(Ve.$$.fragment,ar),Yr=o(ar),an=a(ar,"P",{"data-svelte-h":!0}),g(an)!=="svelte-1ozftb6"&&(an.textContent=Bs),ar.forEach(s),j.forEach(s),wo=o(e),l(Ie.$$.fragment,e),To=o(e),D=a(e,"DIV",{class:!0});var co=h(D);l(Ge.$$.fragment,co),Jr=o(co),sn=a(co,"P",{"data-svelte-h":!0}),g(sn)!=="svelte-1s7ccdx"&&(sn.innerHTML=Os),Kr=o(co),U=a(co,"DIV",{class:!0});var sr=h(U);l(Be.$$.fragment,sr),Xr=o(sr),dn=a(sr,"P",{"data-svelte-h":!0}),g(dn)!=="svelte-gy26u4"&&(dn.textContent=Ss),sr.forEach(s),co.forEach(s),ko=o(e),l(Oe.$$.fragment,e),Lo=o(e),H=a(e,"DIV",{class:!0});var po=h(H);l(Se.$$.fragment,po),Zr=o(po),ln=a(po,"P",{"data-svelte-h":!0}),g(ln)!=="svelte-w1pax1"&&(ln.innerHTML=js),ea=o(po),Y=a(po,"DIV",{class:!0});var ir=h(Y);l(je.$$.fragment,ir),ta=o(ir),mn=a(ir,"P",{"data-svelte-h":!0}),g(mn)!=="svelte-1ozftb6"&&(mn.textContent=Rs),ir.forEach(s),po.forEach(s),Po=o(e),l(Re.$$.fragment,e),Do=o(e),A=a(e,"DIV",{class:!0});var fo=h(A);l(We.$$.fragment,fo),na=o(fo),cn=a(fo,"P",{"data-svelte-h":!0}),g(cn)!=="svelte-1i667it"&&(cn.innerHTML=Ws),oa=o(fo),J=a(fo,"DIV",{class:!0});var dr=h(J);l(Ue.$$.fragment,dr),ra=o(dr),pn=a(dr,"P",{"data-svelte-h":!0}),g(pn)!=="svelte-1ozftb6"&&(pn.textContent=Us),dr.forEach(s),fo.forEach(s),Ho=o(e),l(Ye.$$.fragment,e),Ao=o(e),Q=a(e,"DIV",{class:!0});var go=h(Q);l(Je.$$.fragment,go),aa=o(go),fn=a(go,"P",{"data-svelte-h":!0}),g(fn)!=="svelte-438k9a"&&(fn.innerHTML=Ys),sa=o(go),K=a(go,"DIV",{class:!0});var lr=h(K);l(Ke.$$.fragment,lr),ia=o(lr),gn=a(lr,"P",{"data-svelte-h":!0}),g(gn)!=="svelte-1ozftb6"&&(gn.textContent=Js),lr.forEach(s),go.forEach(s),Qo=o(e),l(Xe.$$.fragment,e),Mo=o(e),z=a(e,"DIV",{class:!0});var V=h(z);l(Ze.$$.fragment,V),da=o(V),un=a(V,"P",{"data-svelte-h":!0}),g(un)!=="svelte-i3efvr"&&(un.innerHTML=Ks),la=o(V),X=a(V,"DIV",{class:!0});var mr=h(X);l(et.$$.fragment,mr),ma=o(mr),hn=a(mr,"P",{"data-svelte-h":!0}),g(hn)!=="svelte-4jdj2l"&&(hn.textContent=Xs),mr.forEach(s),ca=o(V),Z=a(V,"DIV",{class:!0});var cr=h(Z);l(tt.$$.fragment,cr),pa=o(cr),_n=a(cr,"P",{"data-svelte-h":!0}),g(_n)!=="svelte-1ozftb6"&&(_n.textContent=Zs),cr.forEach(s),fa=o(V),ee=a(V,"DIV",{class:!0});var pr=h(ee);l(nt.$$.fragment,pr),ga=o(pr),bn=a(pr,"P",{"data-svelte-h":!0}),g(bn)!=="svelte-pjgtd6"&&(bn.textContent=ei),pr.forEach(s),V.forEach(s),Eo=o(e),l(ot.$$.fragment,e),Fo=o(e),y=a(e,"DIV",{class:!0});var C=h(y);l(rt.$$.fragment,C),ua=o(C),vn=a(C,"P",{"data-svelte-h":!0}),g(vn)!=="svelte-woamwr"&&(vn.innerHTML=ti),ha=o(C),$n=a(C,"P",{"data-svelte-h":!0}),g($n)!=="svelte-ki5gis"&&($n.innerHTML=ni),_a=o(C),yn=a(C,"P",{"data-svelte-h":!0}),g(yn)!=="svelte-8qsk2q"&&(yn.innerHTML=oi),ba=o(C),te=a(C,"DIV",{class:!0});var fr=h(te);l(at.$$.fragment,fr),va=o(fr),xn=a(fr,"P",{"data-svelte-h":!0}),g(xn)!=="svelte-10tvzyv"&&(xn.innerHTML=ri),fr.forEach(s),$a=o(C),ne=a(C,"DIV",{class:!0});var gr=h(ne);l(st.$$.fragment,gr),ya=o(gr),qn=a(gr,"P",{"data-svelte-h":!0}),g(qn)!=="svelte-gy26u4"&&(qn.textContent=ai),gr.forEach(s),xa=o(C),oe=a(C,"DIV",{class:!0});var ur=h(oe);l(it.$$.fragment,ur),qa=o(ur),Cn=a(ur,"P",{"data-svelte-h":!0}),g(Cn)!=="svelte-19bn0da"&&(Cn.innerHTML=si),ur.forEach(s),Ca=o(C),re=a(C,"DIV",{class:!0});var hr=h(re);l(dt.$$.fragment,hr),za=o(hr),zn=a(hr,"P",{"data-svelte-h":!0}),g(zn)!=="svelte-1p6bdas"&&(zn.textContent=ii),hr.forEach(s),C.forEach(s),No=o(e),l(lt.$$.fragment,e),Vo=o(e),v=a(e,"DIV",{class:!0});var $=h(v);l(mt.$$.fragment,$),wa=o($),wn=a($,"P",{"data-svelte-h":!0}),g(wn)!=="svelte-1xvcahi"&&(wn.textContent=di),Ta=o($),Tn=a($,"P",{"data-svelte-h":!0}),g(Tn)!=="svelte-twdedh"&&(Tn.innerHTML=li),ka=o($),ae=a($,"DIV",{class:!0});var _r=h(ae);l(ct.$$.fragment,_r),La=o(_r),kn=a(_r,"P",{"data-svelte-h":!0}),g(kn)!=="svelte-1d4i4z7"&&(kn.textContent=mi),_r.forEach(s),Pa=o($),se=a($,"DIV",{class:!0});var br=h(se);l(pt.$$.fragment,br),Da=o(br),Ln=a(br,"P",{"data-svelte-h":!0}),g(Ln)!=="svelte-4t526i"&&(Ln.innerHTML=ci),br.forEach(s),Ha=o($),ie=a($,"DIV",{class:!0});var vr=h(ie);l(ft.$$.fragment,vr),Aa=o(vr),Pn=a(vr,"P",{"data-svelte-h":!0}),g(Pn)!=="svelte-1meey31"&&(Pn.textContent=pi),vr.forEach(s),Qa=o($),de=a($,"DIV",{class:!0});var $r=h(de);l(gt.$$.fragment,$r),Ma=o($r),Dn=a($r,"P",{"data-svelte-h":!0}),g(Dn)!=="svelte-1j1vsi1"&&(Dn.textContent=fi),$r.forEach(s),Ea=o($),le=a($,"DIV",{class:!0});var yr=h(le);l(ut.$$.fragment,yr),Fa=o(yr),Hn=a(yr,"P",{"data-svelte-h":!0}),g(Hn)!=="svelte-1qo65te"&&(Hn.textContent=gi),yr.forEach(s),Na=o($),me=a($,"DIV",{class:!0});var xr=h(me);l(ht.$$.fragment,xr),Va=o(xr),An=a(xr,"P",{"data-svelte-h":!0}),g(An)!=="svelte-i8h8td"&&(An.innerHTML=ui),xr.forEach(s),Ia=o($),ce=a($,"DIV",{class:!0});var qr=h(ce);l(_t.$$.fragment,qr),Ga=o(qr),Qn=a(qr,"P",{"data-svelte-h":!0}),g(Qn)!=="svelte-1uznum5"&&(Qn.innerHTML=hi),qr.forEach(s),Ba=o($),pe=a($,"DIV",{class:!0});var Cr=h(pe);l(bt.$$.fragment,Cr),Oa=o(Cr),Mn=a(Cr,"P",{"data-svelte-h":!0}),g(Mn)!=="svelte-mjhdcv"&&(Mn.innerHTML=_i),Cr.forEach(s),Sa=o($),fe=a($,"DIV",{class:!0});var zr=h(fe);l(vt.$$.fragment,zr),ja=o(zr),En=a(zr,"P",{"data-svelte-h":!0}),g(En)!=="svelte-1e5epn5"&&(En.innerHTML=bi),zr.forEach(s),Ra=o($),ge=a($,"DIV",{class:!0});var wr=h(ge);l($t.$$.fragment,wr),Wa=o(wr),Fn=a(wr,"P",{"data-svelte-h":!0}),g(Fn)!=="svelte-1idnt2e"&&(Fn.innerHTML=vi),wr.forEach(s),Ua=o($),ue=a($,"DIV",{class:!0});var Tr=h(ue);l(yt.$$.fragment,Tr),Ya=o(Tr),Nn=a(Tr,"P",{"data-svelte-h":!0}),g(Nn)!=="svelte-13hqoy0"&&(Nn.innerHTML=$i),Tr.forEach(s),Ja=o($),he=a($,"DIV",{class:!0});var kr=h(he);l(xt.$$.fragment,kr),Ka=o(kr),Vn=a(kr,"P",{"data-svelte-h":!0}),g(Vn)!=="svelte-jj28f7"&&(Vn.innerHTML=yi),kr.forEach(s),Xa=o($),_e=a($,"DIV",{class:!0});var Lr=h(_e);l(qt.$$.fragment,Lr),Za=o(Lr),In=a(Lr,"P",{"data-svelte-h":!0}),g(In)!=="svelte-1kpdm09"&&(In.textContent=xi),Lr.forEach(s),es=o($),be=a($,"DIV",{class:!0});var Pr=h(be);l(Ct.$$.fragment,Pr),ts=o(Pr),Gn=a(Pr,"P",{"data-svelte-h":!0}),g(Gn)!=="svelte-o8fcb9"&&(Gn.innerHTML=qi),Pr.forEach(s),ns=o($),ve=a($,"DIV",{class:!0});var Dr=h(ve);l(zt.$$.fragment,Dr),os=o(Dr),Bn=a(Dr,"P",{"data-svelte-h":!0}),g(Bn)!=="svelte-1lxocan"&&(Bn.innerHTML=Ci),Dr.forEach(s),$.forEach(s),Io=o(e),l(wt.$$.fragment,e),Go=o(e),M=a(e,"DIV",{class:!0});var uo=h(M);l(Tt.$$.fragment,uo),rs=o(uo),On=a(uo,"P",{"data-svelte-h":!0}),g(On)!=="svelte-i9o5pz"&&(On.textContent=zi),as=o(uo),$e=a(uo,"DIV",{class:!0});var Hr=h($e);l(kt.$$.fragment,Hr),ss=o(Hr),Sn=a(Hr,"P",{"data-svelte-h":!0}),g(Sn)!=="svelte-gy26u4"&&(Sn.textContent=wi),Hr.forEach(s),uo.forEach(s),Bo=o(e),l(Lt.$$.fragment,e),Oo=o(e),w=a(e,"DIV",{class:!0});var I=h(w);l(Pt.$$.fragment,I),is=o(I),jn=a(I,"P",{"data-svelte-h":!0}),g(jn)!=="svelte-h0fjpw"&&(jn.textContent=Ti),ds=o(I),ye=a(I,"DIV",{class:!0});var Ar=h(ye);l(Dt.$$.fragment,Ar),ls=o(Ar),Rn=a(Ar,"P",{"data-svelte-h":!0}),g(Rn)!=="svelte-6lcv9o"&&(Rn.textContent=ki),Ar.forEach(s),ms=o(I),xe=a(I,"DIV",{class:!0});var Qr=h(xe);l(Ht.$$.fragment,Qr),cs=o(Qr),Wn=a(Qr,"P",{"data-svelte-h":!0}),g(Wn)!=="svelte-gy26u4"&&(Wn.textContent=Li),Qr.forEach(s),ps=o(I),qe=a(I,"DIV",{class:!0});var Mr=h(qe);l(At.$$.fragment,Mr),fs=o(Mr),Un=a(Mr,"P",{"data-svelte-h":!0}),g(Un)!=="svelte-1p6bdas"&&(Un.textContent=Pi),Mr.forEach(s),I.forEach(s),So=o(e),l(Qt.$$.fragment,e),jo=o(e),O=a(e,"DIV",{class:!0});var Er=h(O);l(Mt.$$.fragment,Er),gs=o(Er),Yn=a(Er,"P",{"data-svelte-h":!0}),g(Yn)!=="svelte-1a51md3"&&(Yn.textContent=Di),Er.forEach(s),Ro=o(e),l(Et.$$.fragment,e),Wo=o(e),T=a(e,"DIV",{class:!0});var G=h(T);l(Ft.$$.fragment,G),us=o(G),Jn=a(G,"P",{"data-svelte-h":!0}),g(Jn)!=="svelte-3h2fkj"&&(Jn.innerHTML=Hi),hs=o(G),Ce=a(G,"DIV",{class:!0});var Fr=h(Ce);l(Nt.$$.fragment,Fr),_s=o(Fr),Kn=a(Fr,"P",{"data-svelte-h":!0}),g(Kn)!=="svelte-1sqc0ks"&&(Kn.innerHTML=Ai),Fr.forEach(s),bs=o(G),N=a(G,"DIV",{class:!0});var ho=h(N);l(Vt.$$.fragment,ho),vs=o(ho),Xn=a(ho,"P",{"data-svelte-h":!0}),g(Xn)!=="svelte-1h5q4kg"&&(Xn.textContent=Qi),$s=o(ho),Zn=a(ho,"P",{"data-svelte-h":!0}),g(Zn)!=="svelte-4kfdpu"&&(Zn.innerHTML=Mi),ho.forEach(s),ys=o(G),ze=a(G,"DIV",{class:!0});var Nr=h(ze);l(It.$$.fragment,Nr),xs=o(Nr),eo=a(Nr,"P",{"data-svelte-h":!0}),g(eo)!=="svelte-1p6bdas"&&(eo.textContent=Ei),Nr.forEach(s),G.forEach(s),Uo=o(e),l(Gt.$$.fragment,e),Yo=o(e),k=a(e,"DIV",{class:!0});var B=h(k);l(Bt.$$.fragment,B),qs=o(B),we=a(B,"DIV",{class:!0});var Vr=h(we);l(Ot.$$.fragment,Vr),Cs=o(Vr),to=a(Vr,"P",{"data-svelte-h":!0}),g(to)!=="svelte-x30fz7"&&(to.textContent=Fi),Vr.forEach(s),zs=o(B),Te=a(B,"DIV",{class:!0});var Ir=h(Te);l(St.$$.fragment,Ir),ws=o(Ir),no=a(Ir,"P",{"data-svelte-h":!0}),g(no)!=="svelte-1gkr97u"&&(no.textContent=Ni),Ir.forEach(s),Ts=o(B),ke=a(B,"DIV",{class:!0});var Gr=h(ke);l(jt.$$.fragment,Gr),ks=o(Gr),oo=a(Gr,"P",{"data-svelte-h":!0}),g(oo)!=="svelte-ewtypr"&&(oo.textContent=Vi),Gr.forEach(s),Ls=o(B),Le=a(B,"DIV",{class:!0});var Br=h(Le);l(Rt.$$.fragment,Br),Ps=o(Br),ro=a(Br,"P",{"data-svelte-h":!0}),g(ro)!=="svelte-11q54ot"&&(ro.textContent=Ii),Br.forEach(s),B.forEach(s),Jo=o(e),l(Wt.$$.fragment,e),Ko=o(e),S=a(e,"DIV",{class:!0});var Or=h(S);l(Ut.$$.fragment,Or),Ds=o(Or),Pe=a(Or,"DIV",{class:!0});var Sr=h(Pe);l(Yt.$$.fragment,Sr),Hs=o(Sr),ao=a(Sr,"P",{"data-svelte-h":!0}),g(ao)!=="svelte-1ozftb6"&&(ao.textContent=Gi),Sr.forEach(s),Or.forEach(s),Xo=o(e),l(Jt.$$.fragment,e),Zo=o(e),E=a(e,"DIV",{class:!0});var _o=h(E);l(Kt.$$.fragment,_o),As=o(_o),so=a(_o,"P",{"data-svelte-h":!0}),g(so)!=="svelte-1sf4vkr"&&(so.innerHTML=Bi),Qs=o(_o),De=a(_o,"DIV",{class:!0});var jr=h(De);l(Xt.$$.fragment,jr),Ms=o(jr),io=a(jr,"P",{"data-svelte-h":!0}),g(io)!=="svelte-gy26u4"&&(io.textContent=Oi),jr.forEach(s),_o.forEach(s),er=o(e),l(Zt.$$.fragment,e),tr=o(e),F=a(e,"DIV",{class:!0});var bo=h(F);l(en.$$.fragment,bo),Es=o(bo),lo=a(bo,"P",{"data-svelte-h":!0}),g(lo)!=="svelte-1inuoy"&&(lo.textContent=Si),Fs=o(bo),He=a(bo,"DIV",{class:!0});var Rr=h(He);l(tn.$$.fragment,Rr),Ns=o(Rr),mo=a(Rr,"P",{"data-svelte-h":!0}),g(mo)!=="svelte-1ozftb6"&&(mo.textContent=ji),Rr.forEach(s),bo.forEach(s),nr=o(e),l(nn.$$.fragment,e),or=o(e),vo=a(e,"P",{}),h(vo).forEach(s),this.h()},h(){_(x,"name","hf:doc:metadata"),_(x,"content",nd),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,x),u(e,Ae,i),u(e,L,i),u(e,on,i),m(Qe,e,i),u(e,yo,i),u(e,Me,i),u(e,xo,i),u(e,Ee,i),u(e,qo,i),m(R,e,i),u(e,Co,i),m(Fe,e,i),u(e,zo,i),u(e,P,i),m(Ne,P,null),t(P,Wr),t(P,rn),t(P,Ur),t(P,W),m(Ve,W,null),t(W,Yr),t(W,an),u(e,wo,i),m(Ie,e,i),u(e,To,i),u(e,D,i),m(Ge,D,null),t(D,Jr),t(D,sn),t(D,Kr),t(D,U),m(Be,U,null),t(U,Xr),t(U,dn),u(e,ko,i),m(Oe,e,i),u(e,Lo,i),u(e,H,i),m(Se,H,null),t(H,Zr),t(H,ln),t(H,ea),t(H,Y),m(je,Y,null),t(Y,ta),t(Y,mn),u(e,Po,i),m(Re,e,i),u(e,Do,i),u(e,A,i),m(We,A,null),t(A,na),t(A,cn),t(A,oa),t(A,J),m(Ue,J,null),t(J,ra),t(J,pn),u(e,Ho,i),m(Ye,e,i),u(e,Ao,i),u(e,Q,i),m(Je,Q,null),t(Q,aa),t(Q,fn),t(Q,sa),t(Q,K),m(Ke,K,null),t(K,ia),t(K,gn),u(e,Qo,i),m(Xe,e,i),u(e,Mo,i),u(e,z,i),m(Ze,z,null),t(z,da),t(z,un),t(z,la),t(z,X),m(et,X,null),t(X,ma),t(X,hn),t(z,ca),t(z,Z),m(tt,Z,null),t(Z,pa),t(Z,_n),t(z,fa),t(z,ee),m(nt,ee,null),t(ee,ga),t(ee,bn),u(e,Eo,i),m(ot,e,i),u(e,Fo,i),u(e,y,i),m(rt,y,null),t(y,ua),t(y,vn),t(y,ha),t(y,$n),t(y,_a),t(y,yn),t(y,ba),t(y,te),m(at,te,null),t(te,va),t(te,xn),t(y,$a),t(y,ne),m(st,ne,null),t(ne,ya),t(ne,qn),t(y,xa),t(y,oe),m(it,oe,null),t(oe,qa),t(oe,Cn),t(y,Ca),t(y,re),m(dt,re,null),t(re,za),t(re,zn),u(e,No,i),m(lt,e,i),u(e,Vo,i),u(e,v,i),m(mt,v,null),t(v,wa),t(v,wn),t(v,Ta),t(v,Tn),t(v,ka),t(v,ae),m(ct,ae,null),t(ae,La),t(ae,kn),t(v,Pa),t(v,se),m(pt,se,null),t(se,Da),t(se,Ln),t(v,Ha),t(v,ie),m(ft,ie,null),t(ie,Aa),t(ie,Pn),t(v,Qa),t(v,de),m(gt,de,null),t(de,Ma),t(de,Dn),t(v,Ea),t(v,le),m(ut,le,null),t(le,Fa),t(le,Hn),t(v,Na),t(v,me),m(ht,me,null),t(me,Va),t(me,An),t(v,Ia),t(v,ce),m(_t,ce,null),t(ce,Ga),t(ce,Qn),t(v,Ba),t(v,pe),m(bt,pe,null),t(pe,Oa),t(pe,Mn),t(v,Sa),t(v,fe),m(vt,fe,null),t(fe,ja),t(fe,En),t(v,Ra),t(v,ge),m($t,ge,null),t(ge,Wa),t(ge,Fn),t(v,Ua),t(v,ue),m(yt,ue,null),t(ue,Ya),t(ue,Nn),t(v,Ja),t(v,he),m(xt,he,null),t(he,Ka),t(he,Vn),t(v,Xa),t(v,_e),m(qt,_e,null),t(_e,Za),t(_e,In),t(v,es),t(v,be),m(Ct,be,null),t(be,ts),t(be,Gn),t(v,ns),t(v,ve),m(zt,ve,null),t(ve,os),t(ve,Bn),u(e,Io,i),m(wt,e,i),u(e,Go,i),u(e,M,i),m(Tt,M,null),t(M,rs),t(M,On),t(M,as),t(M,$e),m(kt,$e,null),t($e,ss),t($e,Sn),u(e,Bo,i),m(Lt,e,i),u(e,Oo,i),u(e,w,i),m(Pt,w,null),t(w,is),t(w,jn),t(w,ds),t(w,ye),m(Dt,ye,null),t(ye,ls),t(ye,Rn),t(w,ms),t(w,xe),m(Ht,xe,null),t(xe,cs),t(xe,Wn),t(w,ps),t(w,qe),m(At,qe,null),t(qe,fs),t(qe,Un),u(e,So,i),m(Qt,e,i),u(e,jo,i),u(e,O,i),m(Mt,O,null),t(O,gs),t(O,Yn),u(e,Ro,i),m(Et,e,i),u(e,Wo,i),u(e,T,i),m(Ft,T,null),t(T,us),t(T,Jn),t(T,hs),t(T,Ce),m(Nt,Ce,null),t(Ce,_s),t(Ce,Kn),t(T,bs),t(T,N),m(Vt,N,null),t(N,vs),t(N,Xn),t(N,$s),t(N,Zn),t(T,ys),t(T,ze),m(It,ze,null),t(ze,xs),t(ze,eo),u(e,Uo,i),m(Gt,e,i),u(e,Yo,i),u(e,k,i),m(Bt,k,null),t(k,qs),t(k,we),m(Ot,we,null),t(we,Cs),t(we,to),t(k,zs),t(k,Te),m(St,Te,null),t(Te,ws),t(Te,no),t(k,Ts),t(k,ke),m(jt,ke,null),t(ke,ks),t(ke,oo),t(k,Ls),t(k,Le),m(Rt,Le,null),t(Le,Ps),t(Le,ro),u(e,Jo,i),m(Wt,e,i),u(e,Ko,i),u(e,S,i),m(Ut,S,null),t(S,Ds),t(S,Pe),m(Yt,Pe,null),t(Pe,Hs),t(Pe,ao),u(e,Xo,i),m(Jt,e,i),u(e,Zo,i),u(e,E,i),m(Kt,E,null),t(E,As),t(E,so),t(E,Qs),t(E,De),m(Xt,De,null),t(De,Ms),t(De,io),u(e,er,i),m(Zt,e,i),u(e,tr,i),u(e,F,i),m(en,F,null),t(F,Es),t(F,lo),t(F,Fs),t(F,He),m(tn,He,null),t(He,Ns),t(He,mo),u(e,nr,i),m(nn,e,i),u(e,or,i),u(e,vo,i),rr=!0},p(e,[i]){const j={};i&2&&(j.$$scope={dirty:i,ctx:e}),R.$set(j)},i(e){rr||(c(Qe.$$.fragment,e),c(R.$$.fragment,e),c(Fe.$$.fragment,e),c(Ne.$$.fragment,e),c(Ve.$$.fragment,e),c(Ie.$$.fragment,e),c(Ge.$$.fragment,e),c(Be.$$.fragment,e),c(Oe.$$.fragment,e),c(Se.$$.fragment,e),c(je.$$.fragment,e),c(Re.$$.fragment,e),c(We.$$.fragment,e),c(Ue.$$.fragment,e),c(Ye.$$.fragment,e),c(Je.$$.fragment,e),c(Ke.$$.fragment,e),c(Xe.$$.fragment,e),c(Ze.$$.fragment,e),c(et.$$.fragment,e),c(tt.$$.fragment,e),c(nt.$$.fragment,e),c(ot.$$.fragment,e),c(rt.$$.fragment,e),c(at.$$.fragment,e),c(st.$$.fragment,e),c(it.$$.fragment,e),c(dt.$$.fragment,e),c(lt.$$.fragment,e),c(mt.$$.fragment,e),c(ct.$$.fragment,e),c(pt.$$.fragment,e),c(ft.$$.fragment,e),c(gt.$$.fragment,e),c(ut.$$.fragment,e),c(ht.$$.fragment,e),c(_t.$$.fragment,e),c(bt.$$.fragment,e),c(vt.$$.fragment,e),c($t.$$.fragment,e),c(yt.$$.fragment,e),c(xt.$$.fragment,e),c(qt.$$.fragment,e),c(Ct.$$.fragment,e),c(zt.$$.fragment,e),c(wt.$$.fragment,e),c(Tt.$$.fragment,e),c(kt.$$.fragment,e),c(Lt.$$.fragment,e),c(Pt.$$.fragment,e),c(Dt.$$.fragment,e),c(Ht.$$.fragment,e),c(At.$$.fragment,e),c(Qt.$$.fragment,e),c(Mt.$$.fragment,e),c(Et.$$.fragment,e),c(Ft.$$.fragment,e),c(Nt.$$.fragment,e),c(Vt.$$.fragment,e),c(It.$$.fragment,e),c(Gt.$$.fragment,e),c(Bt.$$.fragment,e),c(Ot.$$.fragment,e),c(St.$$.fragment,e),c(jt.$$.fragment,e),c(Rt.$$.fragment,e),c(Wt.$$.fragment,e),c(Ut.$$.fragment,e),c(Yt.$$.fragment,e),c(Jt.$$.fragment,e),c(Kt.$$.fragment,e),c(Xt.$$.fragment,e),c(Zt.$$.fragment,e),c(en.$$.fragment,e),c(tn.$$.fragment,e),c(nn.$$.fragment,e),rr=!0)},o(e){p(Qe.$$.fragment,e),p(R.$$.fragment,e),p(Fe.$$.fragment,e),p(Ne.$$.fragment,e),p(Ve.$$.fragment,e),p(Ie.$$.fragment,e),p(Ge.$$.fragment,e),p(Be.$$.fragment,e),p(Oe.$$.fragment,e),p(Se.$$.fragment,e),p(je.$$.fragment,e),p(Re.$$.fragment,e),p(We.$$.fragment,e),p(Ue.$$.fragment,e),p(Ye.$$.fragment,e),p(Je.$$.fragment,e),p(Ke.$$.fragment,e),p(Xe.$$.fragment,e),p(Ze.$$.fragment,e),p(et.$$.fragment,e),p(tt.$$.fragment,e),p(nt.$$.fragment,e),p(ot.$$.fragment,e),p(rt.$$.fragment,e),p(at.$$.fragment,e),p(st.$$.fragment,e),p(it.$$.fragment,e),p(dt.$$.fragment,e),p(lt.$$.fragment,e),p(mt.$$.fragment,e),p(ct.$$.fragment,e),p(pt.$$.fragment,e),p(ft.$$.fragment,e),p(gt.$$.fragment,e),p(ut.$$.fragment,e),p(ht.$$.fragment,e),p(_t.$$.fragment,e),p(bt.$$.fragment,e),p(vt.$$.fragment,e),p($t.$$.fragment,e),p(yt.$$.fragment,e),p(xt.$$.fragment,e),p(qt.$$.fragment,e),p(Ct.$$.fragment,e),p(zt.$$.fragment,e),p(wt.$$.fragment,e),p(Tt.$$.fragment,e),p(kt.$$.fragment,e),p(Lt.$$.fragment,e),p(Pt.$$.fragment,e),p(Dt.$$.fragment,e),p(Ht.$$.fragment,e),p(At.$$.fragment,e),p(Qt.$$.fragment,e),p(Mt.$$.fragment,e),p(Et.$$.fragment,e),p(Ft.$$.fragment,e),p(Nt.$$.fragment,e),p(Vt.$$.fragment,e),p(It.$$.fragment,e),p(Gt.$$.fragment,e),p(Bt.$$.fragment,e),p(Ot.$$.fragment,e),p(St.$$.fragment,e),p(jt.$$.fragment,e),p(Rt.$$.fragment,e),p(Wt.$$.fragment,e),p(Ut.$$.fragment,e),p(Yt.$$.fragment,e),p(Jt.$$.fragment,e),p(Kt.$$.fragment,e),p(Xt.$$.fragment,e),p(Zt.$$.fragment,e),p(en.$$.fragment,e),p(tn.$$.fragment,e),p(nn.$$.fragment,e),rr=!1},d(e){e&&(s(Ae),s(L),s(on),s(yo),s(Me),s(xo),s(Ee),s(qo),s(Co),s(zo),s(P),s(wo),s(To),s(D),s(ko),s(Lo),s(H),s(Po),s(Do),s(A),s(Ho),s(Ao),s(Q),s(Qo),s(Mo),s(z),s(Eo),s(Fo),s(y),s(No),s(Vo),s(v),s(Io),s(Go),s(M),s(Bo),s(Oo),s(w),s(So),s(jo),s(O),s(Ro),s(Wo),s(T),s(Uo),s(Yo),s(k),s(Jo),s(Ko),s(S),s(Xo),s(Zo),s(E),s(er),s(tr),s(F),s(nr),s(or),s(vo)),s(x),f(Qe,e),f(R,e),f(Fe,e),f(Ne),f(Ve),f(Ie,e),f(Ge),f(Be),f(Oe,e),f(Se),f(je),f(Re,e),f(We),f(Ue),f(Ye,e),f(Je),f(Ke),f(Xe,e),f(Ze),f(et),f(tt),f(nt),f(ot,e),f(rt),f(at),f(st),f(it),f(dt),f(lt,e),f(mt),f(ct),f(pt),f(ft),f(gt),f(ut),f(ht),f(_t),f(bt),f(vt),f($t),f(yt),f(xt),f(qt),f(Ct),f(zt),f(wt,e),f(Tt),f(kt),f(Lt,e),f(Pt),f(Dt),f(Ht),f(At),f(Qt,e),f(Mt),f(Et,e),f(Ft),f(Nt),f(Vt),f(It),f(Gt,e),f(Bt),f(Ot),f(St),f(jt),f(Rt),f(Wt,e),f(Ut),f(Yt),f(Jt,e),f(Kt),f(Xt),f(Zt,e),f(en),f(tn),f(nn,e)}}}const nd='{"title":"Quantization","local":"quantization","sections":[{"title":"QuantoConfig","local":"transformers.QuantoConfig","sections":[],"depth":2},{"title":"AqlmConfig","local":"transformers.AqlmConfig","sections":[],"depth":2},{"title":"VptqConfig","local":"transformers.VptqConfig","sections":[],"depth":2},{"title":"AwqConfig","local":"transformers.AwqConfig","sections":[],"depth":2},{"title":"EetqConfig","local":"transformers.EetqConfig","sections":[],"depth":2},{"title":"GPTQConfig","local":"transformers.GPTQConfig","sections":[],"depth":2},{"title":"BitsAndBytesConfig","local":"transformers.BitsAndBytesConfig","sections":[],"depth":2},{"title":"HfQuantizer","local":"transformers.quantizers.HfQuantizer","sections":[],"depth":2},{"title":"HiggsConfig","local":"transformers.HiggsConfig","sections":[],"depth":2},{"title":"HqqConfig","local":"transformers.HqqConfig","sections":[],"depth":2},{"title":"FbgemmFp8Config","local":"transformers.FbgemmFp8Config","sections":[],"depth":2},{"title":"CompressedTensorsConfig","local":"transformers.CompressedTensorsConfig","sections":[],"depth":2},{"title":"TorchAoConfig","local":"transformers.TorchAoConfig","sections":[],"depth":2},{"title":"BitNetConfig","local":"transformers.BitNetConfig","sections":[],"depth":2},{"title":"SpQRConfig","local":"transformers.SpQRConfig","sections":[],"depth":2},{"title":"FineGrainedFP8Config","local":"transformers.FineGrainedFP8Config","sections":[],"depth":2}],"depth":1}';function od($o){return Wi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ld extends Yi{constructor(x){super(),Ji(this,x,od,td,Ri,{})}}export{ld as component};
